<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.4
Name: Verstrekkingsquery
Description: Dit is de query waarbij aan een Zorg Informatie Makelaar of een verstrekkend bronsysteem wordt gevraagd om een selectie van alle bij het systeem bekende verstrekkingen (voor een bepaalde patiënt) op te zoeken en terug te sturen. 
                 Verdere informatie 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.4-2013-05-21T000000">
   <title>Verstrekkingsquery</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.4
Context: /
Item: (MedicationDispenseEventQuery)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.4
Context: /hl7:QURX_MT990011NL
Item: (MedicationDispenseEventQuery)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.4
Context: /hl7:QURX_MT990011NL/hl7:ControlActProcess
Item: (MedicationDispenseEventQuery)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.4
Context: /hl7:QURX_MT990011NL/hl7:ControlActProcess/hl7:queryByParameter
Item: (MedicationDispenseEventQuery)
-->

<rule context="/hl7:QURX_MT990011NL/hl7:ControlActProcess/hl7:queryByParameter"
         id="tmp-r-23d6b5ba-9c11-4be0-a9bf-608318bafca5">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.4-2013-05-21T000000.html"
              test="count(hl7:administrationRequestEffectiveTimeInterval)&lt;=1">(MedicationDispenseEventQuery): element hl7:administrationRequestEffectiveTimeInterval komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.4-2013-05-21T000000.html"
              test="count(hl7:dispenseEventEffectiveTimeInterval)&lt;=1">(MedicationDispenseEventQuery): element hl7:dispenseEventEffectiveTimeInterval komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.4-2013-05-21T000000.html"
              test="count(hl7:mostRecentDispenseForEachRxIndicator)&lt;=1">(MedicationDispenseEventQuery): element hl7:mostRecentDispenseForEachRxIndicator komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.4-2013-05-21T000000.html"
              test="count(hl7:patientID)&gt;=1 and not(hl7:patientID/@nullFlavor)">(MedicationDispenseEventQuery): element hl7:patientID is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.4-2013-05-21T000000.html"
              test="count(hl7:patientID)&lt;=1">(MedicationDispenseEventQuery): element hl7:patientID komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.4
Context: /hl7:QURX_MT990011NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:administrationRequestEffectiveTimeInterval
Item: (MedicationDispenseEventQuery)
-->

<rule context="/hl7:QURX_MT990011NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:administrationRequestEffectiveTimeInterval"
         id="tmp-r-b4bccf32-1dd2-4386-ac9a-2384bba0fd52">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.4-2013-05-21T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(MedicationDispenseEventQuery): element hl7:value is mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.4
Context: /hl7:QURX_MT990011NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:administrationRequestEffectiveTimeInterval/hl7:value
Item: (MedicationDispenseEventQuery)
-->

<rule context="/hl7:QURX_MT990011NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:administrationRequestEffectiveTimeInterval/hl7:value"
         id="tmp-r-1d02192f-75a6-4fff-b01b-53e87156e690">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.4-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationDispenseEventQuery): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.4
Context: /hl7:QURX_MT990011NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:dispenseEventEffectiveTimeInterval
Item: (MedicationDispenseEventQuery)
-->

<rule context="/hl7:QURX_MT990011NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:dispenseEventEffectiveTimeInterval"
         id="tmp-r-a1168e32-577b-487a-93fc-edbe373bb470">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.4-2013-05-21T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(MedicationDispenseEventQuery): element hl7:value is mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.4
Context: /hl7:QURX_MT990011NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:dispenseEventEffectiveTimeInterval/hl7:value
Item: (MedicationDispenseEventQuery)
-->

<rule context="/hl7:QURX_MT990011NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:dispenseEventEffectiveTimeInterval/hl7:value"
         id="tmp-r-48887afc-58ee-402c-a55b-ba1437865b8b">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.4-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationDispenseEventQuery): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.4
Context: /hl7:QURX_MT990011NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:mostRecentDispenseForEachRxIndicator
Item: (MedicationDispenseEventQuery)
-->

<rule context="/hl7:QURX_MT990011NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:mostRecentDispenseForEachRxIndicator"
         id="tmp-r-ba2ef282-7923-401f-96a6-59da3ece19fa">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.4-2013-05-21T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(MedicationDispenseEventQuery): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.4-2013-05-21T000000.html"
              test="count(hl7:value)&lt;=1">(MedicationDispenseEventQuery): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.4
Context: /hl7:QURX_MT990011NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:mostRecentDispenseForEachRxIndicator/hl7:value
Item: (MedicationDispenseEventQuery)
-->

<rule context="/hl7:QURX_MT990011NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:mostRecentDispenseForEachRxIndicator/hl7:value"
         id="tmp-r-2811492b-ce50-4e0d-8c21-2279d57fd806">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.4-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationDispenseEventQuery): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:BL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="BL"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.4
Context: /hl7:QURX_MT990011NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:patientID
Item: (MedicationDispenseEventQuery)
-->

<rule context="/hl7:QURX_MT990011NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:patientID"
         id="tmp-r-6751be36-8a4f-499b-b430-094e6506f013">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.4-2013-05-21T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(MedicationDispenseEventQuery): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.4-2013-05-21T000000.html"
              test="count(hl7:value)&lt;=1">(MedicationDispenseEventQuery): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.4
Context: /hl7:QURX_MT990011NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:patientID/hl7:value
Item: (MedicationDispenseEventQuery)
-->

<rule context="/hl7:QURX_MT990011NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:patientID/hl7:value"
         id="tmp-r-04068eeb-49c3-4e6d-8155-a91bf075e9c1">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.4-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationDispenseEventQuery): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
</pattern>
