<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.2
Name: Medicatieverstrekking
Description: De template is bedoeld om alle relevante gegevens rond een medicatieverstrekking weer te geven. Het payload model PORX_MT924000NL02 wordt gebruikt bij het versturen van een nieuwe verstrekking, maar bestaat op zichzelf uit niets anders dan template MedicationDispenseEvent. MedicationDispenseEvent fungeert daarnaast als onderdeel van de
                Medicatieverstrekkingenlijst, als component van een opgeleverde lijst.   De belangrijkste kenmerken van het model zijn: 
                     Elke verstrekking heeft betrekking op één enkele patiënt. 
                     Elke verstrekking hoort bij max. één medicatievoorschrift. 
                     Elke verstrekking kent één enkele verstrekker als uitvoerder. 
                     Elke verstrekking heeft één ‘verantwoordelijke zorgverlener’. 
                     Elke verstrekking heeft betrekking op één enkele soort medicatie. 
                     Elke verstrekking zal één of meer toedieningsverzoeken betreffen. 
                  De
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.2-2013-05-21T000000">
   <title>Medicatieverstrekking</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.2
Context: /
Item: (MedicationDispenseEventMessage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.2
Context: /hl7:QURX_IN990113NL
Item: (MedicationDispenseEventMessage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.2
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess
Item: (MedicationDispenseEventMessage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.2
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject
Item: (MedicationDispenseEventMessage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.110
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent
Item: (MedicationDispenseEvent)
-->

<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent"
         id="tmp-r-53092e11-de36-48cb-81db-3f5ec3d9f6f7">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="string(@classCode)=('SPLY') or not(@classCode)">(MedicationDispenseEvent): de waarde van @classCode MOET 'SPLY' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(MedicationDispenseEvent): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <let name="performerIdRoot"
           value="hl7:performer/hl7:assignedPerson/hl7:representedOrganization/hl7:id/@root"/>
      <let name="performerIdExtension"
           value="hl7:performer/hl7:assignedPerson/hl7:representedOrganization/hl7:id/@extension"/>
      <let name="responsiblePartyIdRoot"
           value="hl7:responsibleParty/hl7:assignedCareProvider/hl7:representedOrganization/hl7:id/@root"/>
      <let name="responsiblePartyIdExt"
           value="hl7:responsibleParty/hl7:assignedCareProvider/hl7:representedOrganization/hl7:id/@extension"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="not(hl7:performer/hl7:assignedPerson/hl7:representedOrganization and hl7:responsibleParty/hl7:assignedCareProvider/hl7:representedOrganization) or                      ($performerIdRoot=$responsiblePartyIdRoot and $performerIdExtension=$responsiblePartyIdExt)">(MedicationDispenseEvent): performer en responsibleParty moeten van dezelfde organisatie zijn</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(MedicationDispenseEvent): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:id)&lt;=1">(MedicationDispenseEvent): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(MedicationDispenseEvent): element hl7:statusCode[@code='completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(MedicationDispenseEvent): element hl7:statusCode[@code='completed'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(MedicationDispenseEvent): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(MedicationDispenseEvent): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:quantity)&gt;=1 ">(MedicationDispenseEvent): element hl7:quantity is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:quantity)&lt;=1">(MedicationDispenseEvent): element hl7:quantity komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:expectedUseTime)&lt;=1">(MedicationDispenseEvent): element hl7:expectedUseTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:performer)&gt;=1 and not(hl7:performer/@nullFlavor)">(MedicationDispenseEvent): element hl7:performer is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:performer)&lt;=1">(MedicationDispenseEvent): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:product)&gt;=1 and not(hl7:product/@nullFlavor)">(MedicationDispenseEvent): element hl7:product is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:product)&lt;=1">(MedicationDispenseEvent): element hl7:product komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:responsibleParty)&gt;=1 and not(hl7:responsibleParty/@nullFlavor)">(MedicationDispenseEvent): element hl7:responsibleParty is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:responsibleParty)&lt;=1">(MedicationDispenseEvent): element hl7:responsibleParty komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.110
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:id
Item: (MedicationDispenseEvent)
-->

<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:id"
         id="tmp-r-f66c7c78-0c20-48b0-b077-a6f87a8dfb1a">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationDispenseEvent): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.110
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:statusCode[@code='completed']
Item: (MedicationDispenseEvent)
-->

<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:statusCode[@code='completed']"
         id="tmp-r-cf0c9653-ed7a-4e86-b27d-99542d48253d">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationDispenseEvent): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="@nullFlavor or (@code='completed')">(MedicationDispenseEvent): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.110
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:effectiveTime
Item: (MedicationDispenseEvent)
-->

<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:effectiveTime"
         id="tmp-r-643099a6-6b8f-4e22-8f42-168c9aded16b">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationDispenseEvent): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.110
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:quantity
Item: (MedicationDispenseEvent)
-->

<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:quantity"
         id="tmp-r-65371bb0-f00b-46c2-a357-8c8235f7eaf4">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationDispenseEvent): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PQ" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="digitok"
           value="matches(string(@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="$digitok or @nullFlavor">(MedicationDispenseEvent): @value is geen geldig PQ getal <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(MedicationDispenseEvent): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="string(@nullFlavor)=('NA') or not(@nullFlavor)">(MedicationDispenseEvent): de waarde van @nullFlavor MOET 'NA' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="not(@nullFlavor) or (string-length(@nullFlavor)&gt;0 and not(matches(@nullFlavor,'\s')))">(MedicationDispenseEvent): attribuut @nullFlavor MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2'])&gt;=1 and not(hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2']/@nullFlavor)">(MedicationDispenseEvent): element hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2'])&lt;=1">(MedicationDispenseEvent): element hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:translation)&lt;=1">(MedicationDispenseEvent): element hl7:translation komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.110
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:quantity/hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2']
Item: (MedicationDispenseEvent)
-->

<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:quantity/hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2']"
         id="tmp-r-110528af-3f2a-4107-9e7e-79eb373a29f8">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQR' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationDispenseEvent): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PQR" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQR"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.1.900.2')">(MedicationDispenseEvent): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.2.4.4.1.900.2''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.110
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:quantity/hl7:translation
Item: (MedicationDispenseEvent)
-->

<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:quantity/hl7:translation"
         id="tmp-r-47092342-da7f-4339-bed1-8c5358cb20df">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQR' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationDispenseEvent): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PQR" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQR"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.12')">(MedicationDispenseEvent): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.2.4.4.12''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.110
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:expectedUseTime
Item: (MedicationDispenseEvent)
-->

<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:expectedUseTime"
         id="tmp-r-cbf95802-bef7-407d-a5ac-d43418f48836">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationDispenseEvent): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="not(./child::*/name()!='width')">(MedicationDispenseEvent): Bij logistieke verbruiksduur is alleen element width toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:width)&gt;=1 ">(MedicationDispenseEvent): element hl7:width is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:width)&lt;=1">(MedicationDispenseEvent): element hl7:width komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.110
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:expectedUseTime/hl7:width
Item: (MedicationDispenseEvent)
-->


<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.110
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:performer
Item: (MedicationDispenseEvent)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:performer">
      <extends rule="tmp-r-9fbda5e6-8624-4948-b2f8-f9bc9043cd87"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="string(@typeCode)=('PRF') or not(@typeCode)">(MedicationDispenseEvent): de waarde van @typeCode MOET 'PRF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9004
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:performer
Item: (Performer)
-->
<rule id="tmp-r-9fbda5e6-8624-4948-b2f8-f9bc9043cd87" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9004-2013-05-21T000000.html"
              test="count(hl7:assignedPerson)&gt;=1 ">(Performer): element hl7:assignedPerson is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9004-2013-05-21T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(Performer): element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9004
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:performer/hl7:assignedPerson
Item: (Performer)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:performer/hl7:assignedPerson">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9004-2013-05-21T000000.html"
              test="string(@classCode)=('ASSIGNED') or not(@classCode)">(Performer): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9004-2013-05-21T000000.html"
              test="count(hl7:id)&gt;=1 ">(Performer): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9004-2013-05-21T000000.html"
              test="count(hl7:id)&lt;=1">(Performer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9004
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:performer/hl7:assignedPerson/hl7:id
Item: (Performer)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:performer/hl7:assignedPerson/hl7:id">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9004-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Performer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9004-2013-05-21T000000.html"
              test="string(@nullFlavor)=('MSK')">(Performer): de waarde van @nullFlavor MOET 'MSK' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.110
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product
Item: (MedicationDispenseEvent)
-->

<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product"
         id="tmp-r-9123ac4e-9172-468d-9898-32db1ed0502e">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="string(@typeCode)=('PRD') or not(@typeCode)">(MedicationDispenseEvent): de waarde van @typeCode MOET 'PRD' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:dispensedMedication)&gt;=1 and not(hl7:dispensedMedication/@nullFlavor)">(MedicationDispenseEvent): element hl7:dispensedMedication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:dispensedMedication)&lt;=1">(MedicationDispenseEvent): element hl7:dispensedMedication komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.110
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication
Item: (MedicationDispenseEvent)
-->

<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication"
         id="tmp-r-1d6c8367-9149-45fe-9f45-094f31a69795">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="string(@classCode)=('DST') or not(@classCode)">(MedicationDispenseEvent): de waarde van @classCode MOET 'DST' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:MedicationKind)&gt;=1 and not(hl7:MedicationKind/@nullFlavor)">(MedicationDispenseEvent): element hl7:MedicationKind is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:MedicationKind)&lt;=1">(MedicationDispenseEvent): element hl7:MedicationKind komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:directTargetOf)&lt;=1">(MedicationDispenseEvent): element hl7:directTargetOf komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:therapeuticAgentOf)&gt;=1 and not(hl7:therapeuticAgentOf/@nullFlavor)">(MedicationDispenseEvent): element hl7:therapeuticAgentOf is mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.106
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:MedicationKind
Item: (MedicationKind)
-->

<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:MedicationKind"
         id="tmp-r-a8919eb1-3f4a-4a57-9513-2f50d2201511">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.106-2013-05-21T000000.html"
              test="string(@classCode)=('MMAT') or not(@classCode)">(MedicationKind): de waarde van @classCode MOET 'MMAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.106-2013-05-21T000000.html"
              test="string(@determinerCode)=('KIND') or not(@determinerCode)">(MedicationKind): de waarde van @determinerCode MOET 'KIND' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.106-2013-05-21T000000.html"
              test="not(hl7:code/@nullFlavor) or hl7:activeIngredient or hl7:otherIngredient or hl7:desc">(MedicationKind): Als er geen gecodeerde medicatie is en ook geen ingrediënten dan moet desc een waarde hebben</assert>
      <let name="elmcount" value="count(hl7:code[@code]|hl7:code[@nullFlavor])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.106-2013-05-21T000000.html"
              test="$elmcount&gt;=1">(MedicationKind): keuze (hl7:code[@code] of hl7:code[@nullFlavor]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.106-2013-05-21T000000.html"
              test="$elmcount&lt;=1">(MedicationKind): keuze (hl7:code[@code] of hl7:code[@nullFlavor]) bevat te veel elementen [max 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.106-2013-05-21T000000.html"
              test="count(hl7:code[@code])&lt;=1">(MedicationKind): element hl7:code[@code] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.106-2013-05-21T000000.html"
              test="count(hl7:code[@nullFlavor])&lt;=1">(MedicationKind): element hl7:code[@nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.106-2013-05-21T000000.html"
              test="count(hl7:desc)&lt;=1">(MedicationKind): element hl7:desc komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9005
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:MedicationKind
Item: (MedicationCode)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9005
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:MedicationKind/hl7:code[@code]
Item: (MedicationCode)
-->

<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:MedicationKind/hl7:code[@code]"
         id="tmp-r-d7ffe3b1-8709-4f90-b1b1-e24fd9e6b179">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9005-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationCode): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9005-2013-05-21T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.1') or (@codeSystem='2.16.840.1.113883.2.4.4.7') or (@codeSystem='2.16.840.1.113883.2.4.4.8') or (@codeSystem='2.16.840.1.113883.2.4.4.10')">(MedicationCode): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.2.4.4.1' of codeSystem '2.16.840.1.113883.2.4.4.7' of codeSystem '2.16.840.1.113883.2.4.4.8' of codeSystem '2.16.840.1.113883.2.4.4.10''.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9005-2013-05-21T000000.html"
              test="(@code and @displayName) or not(@code)">(MedicationCode): Medicatiecode moet attribuut @displayName hebben tenzij er geen code is</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9005-2013-05-21T000000.html"
              test="not(hl7:translation/@codeSystem=@codeSystem)">(MedicationCode): Medicatiecode kan geen translation hebben uit hetzelfde codesysteem</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9005-2013-05-21T000000.html"
              test="not(hl7:translation/@codeSystem='2.16.840.1.113883.2.4.4.10') or (hl7:translation/@codeSystem='2.16.840.1.113883.2.4.4.10' and @codeSystem!='2.16.840.1.113883.2.4.4.1')">(MedicationCode): Eventuele translation elementen moeten equivalente of meer algemene alternatieve coderingen bevatten. GPK kan dus niet vertaald worden naar PRK.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9005-2013-05-21T000000.html"
              test="not(hl7:translation/@codeSystem='2.16.840.1.113883.2.4.4.7') or (hl7:translation/@codeSystem='2.16.840.1.113883.2.4.4.7' and @codeSystem='2.16.840.1.113883.2.4.4.8')">(MedicationCode): Eventuele translation elementen moeten equivalente of meer algemene alternatieve coderingen bevatten. Alleen artikelnummer kan dus vertaald worden naar HPK.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9005-2013-05-21T000000.html"
              test="not(hl7:translation/@codeSystem='2.16.840.1.113883.2.4.4.8')">(MedicationCode): Eventuele translation elementen moeten equivalente of meer algemene alternatieve coderingen bevatten. Er kan geen vertaling zijn naar artikelnummer.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9005-2013-05-21T000000.html"
              test="not(@codeSystem='2.16.840.1.113883.2.4.4.10') or (hl7:translation/@codeSystem='2.16.840.1.113883.2.4.4.1')">(MedicationCode): Medicatiecode uit PRK moet een translation hebben uit GPK</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9005-2013-05-21T000000.html"
              test="not(hl7:originalText)">(MedicationCode): Bij gecodeerde medicatie mag originalText geen waarde hebben</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9005
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:MedicationKind/hl7:code[@code]/hl7:translation
Item: (MedicationCode)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9005
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:MedicationKind/hl7:code[@nullFlavor]
Item: (MedicationCode)
-->

<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:MedicationKind/hl7:code[@nullFlavor]"
         id="tmp-r-863e0ab6-503f-4cdc-a37c-36c812423212">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9005-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationCode): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9005-2013-05-21T000000.html"
              test="string(@nullFlavor)=('OTH')">(MedicationCode): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9005-2013-05-21T000000.html"
              test="not(@nullFlavor) or @nullFlavor='OTH'">(MedicationCode): Bij niet gecodeerde medicatie moet @nullFlavor 'OTH' bevatten</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9005-2013-05-21T000000.html"
              test="count(hl7:originalText)&gt;=1 and not(hl7:originalText/@nullFlavor)">(MedicationCode): element hl7:originalText is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9005-2013-05-21T000000.html"
              test="count(hl7:originalText)&lt;=1">(MedicationCode): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9005
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:MedicationKind/hl7:code[@nullFlavor]/hl7:originalText
Item: (MedicationCode)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.106
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:MedicationKind/hl7:desc
Item: (MedicationKind)
-->

<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:MedicationKind/hl7:desc"
         id="tmp-r-74b2c007-7429-4e0b-b32a-e893ef729e03">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.106-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationKind): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ED" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.106-2013-05-21T000000.html"
              test="../hl7:code/@nullFlavor">(MedicationKind): Bij gecodeerde medicatie mag desc geen waarde hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.106
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:MedicationKind/hl7:activeIngredient
Item: (MedicationKind)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:MedicationKind/hl7:activeIngredient">
      <extends rule="tmp-r-d830031e-2f86-4dd1-bcdf-7a7395485d69"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.106-2013-05-21T000000.html"
              test="string(@classCode)=('ACTI') or not(@classCode)">(MedicationKind): de waarde van @classCode MOET 'ACTI' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.107
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:MedicationKind/hl7:activeIngredient
Item: (ActiveIngredient)
-->
<rule id="tmp-r-d830031e-2f86-4dd1-bcdf-7a7395485d69" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.107-2013-05-21T000000.html"
              test="count(hl7:quantity)&lt;=1">(ActiveIngredient): element hl7:quantity komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.107-2013-05-21T000000.html"
              test="count(hl7:activeIngredientMaterialKind)&lt;=1">(ActiveIngredient): element hl7:activeIngredientMaterialKind komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.107
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:MedicationKind/hl7:activeIngredient/hl7:quantity
Item: (ActiveIngredient)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.122
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:MedicationKind/hl7:activeIngredient/hl7:quantity
Item: (IngredientQuantity)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:MedicationKind/hl7:activeIngredient/hl7:quantity">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.122-2013-05-21T000000.html"
              test="count(hl7:numerator)&gt;=1 and not(hl7:numerator/@nullFlavor)">(IngredientQuantity): element hl7:numerator is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.122-2013-05-21T000000.html"
              test="count(hl7:numerator)&lt;=1">(IngredientQuantity): element hl7:numerator komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.122-2013-05-21T000000.html"
              test="count(hl7:denominator)&gt;=1 and not(hl7:denominator/@nullFlavor)">(IngredientQuantity): element hl7:denominator is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.122-2013-05-21T000000.html"
              test="count(hl7:denominator)&lt;=1">(IngredientQuantity): element hl7:denominator komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.122
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:MedicationKind/hl7:activeIngredient/hl7:quantity/hl7:numerator
Item: (IngredientQuantity)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:MedicationKind/hl7:activeIngredient/hl7:quantity/hl7:numerator">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.122-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(IngredientQuantity): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PQ" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="digitok"
           value="matches(string(@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.122-2013-05-21T000000.html"
              test="$digitok or @nullFlavor">(IngredientQuantity): @value is geen geldig PQ getal <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.122-2013-05-21T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(IngredientQuantity): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.122
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:MedicationKind/hl7:activeIngredient/hl7:quantity/hl7:denominator
Item: (IngredientQuantity)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:MedicationKind/hl7:activeIngredient/hl7:quantity/hl7:denominator">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.122-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(IngredientQuantity): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PQ" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="digitok"
           value="matches(string(@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.122-2013-05-21T000000.html"
              test="$digitok or @nullFlavor">(IngredientQuantity): @value is geen geldig PQ getal <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.122-2013-05-21T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(IngredientQuantity): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.107
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:MedicationKind/hl7:activeIngredient/hl7:activeIngredientMaterialKind
Item: (ActiveIngredient)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.108
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:MedicationKind/hl7:activeIngredient/hl7:activeIngredientMaterialKind
Item: (IngredientMaterialKind)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:MedicationKind/hl7:activeIngredient/hl7:activeIngredientMaterialKind">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.108-2013-05-21T000000.html"
              test="string(@classCode)=('MAT') or not(@classCode)">(IngredientMaterialKind): de waarde van @classCode MOET 'MAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.108-2013-05-21T000000.html"
              test="string(@determinerCode)=('KIND') or not(@determinerCode)">(IngredientMaterialKind): de waarde van @determinerCode MOET 'KIND' zijn.</assert>
      <let name="elmcount" value="count(hl7:code[@code]|hl7:code[@nullFlavor])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.108-2013-05-21T000000.html"
              test="$elmcount&gt;=1">(IngredientMaterialKind): keuze (hl7:code[@code] of hl7:code[@nullFlavor]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.108-2013-05-21T000000.html"
              test="$elmcount&lt;=1">(IngredientMaterialKind): keuze (hl7:code[@code] of hl7:code[@nullFlavor]) bevat te veel elementen [max 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.108-2013-05-21T000000.html"
              test="count(hl7:code[@code])&lt;=1">(IngredientMaterialKind): element hl7:code[@code] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.108-2013-05-21T000000.html"
              test="count(hl7:code[@nullFlavor])&lt;=1">(IngredientMaterialKind): element hl7:code[@nullFlavor] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9018
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:MedicationKind/hl7:activeIngredient/hl7:activeIngredientMaterialKind
Item: (MaterialCode)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9018
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:MedicationKind/hl7:activeIngredient/hl7:activeIngredientMaterialKind/hl7:code[@code]
Item: (MaterialCode)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:MedicationKind/hl7:activeIngredient/hl7:activeIngredientMaterialKind/hl7:code[@code]">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9018-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MaterialCode): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9018-2013-05-21T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.1') or (@codeSystem='2.16.840.1.113883.2.4.4.7') or (@codeSystem='2.16.840.1.113883.2.4.4.8') or (@codeSystem='2.16.840.1.113883.2.4.4.10') or (@codeSystem='2.16.840.1.113883.6.73')">(MaterialCode): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.2.4.4.1' of codeSystem '2.16.840.1.113883.2.4.4.7' of codeSystem '2.16.840.1.113883.2.4.4.8' of codeSystem '2.16.840.1.113883.2.4.4.10' of codeSystem '2.16.840.1.113883.6.73''.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9018-2013-05-21T000000.html"
              test="(@code and @displayName) or not(@code)">(MaterialCode): Materiaalsoortcode moet attribuut @displayName hebben tenzij er geen code is</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9018-2013-05-21T000000.html"
              test="not(hl7:translation) or hl7:translation/@codeSystem='2.16.840.1.113883.6.73' or hl7:translation/@codeSystem='2.16.840.1.113883.2.4.4.1'                                 or hl7:translation/@codeSystem='2.16.840.1.113883.2.4.4.10' or hl7:translation/@codeSystem='2.16.840.1.113883.2.4.4.7'">(MaterialCode): Materiaalsoortcode kan alleen translation hebben uit ATC, GPK, PRK, HPK</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9018-2013-05-21T000000.html"
              test="not(hl7:translation/@codeSystem=@codeSystem)">(MaterialCode): Materiaalsoortcode kan geen translation hebben uit hetzelfde codesysteem</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9018-2013-05-21T000000.html"
              test="not(@codeSystem='2.16.840.1.113883.6.73' and hl7:translation)">(MaterialCode): Materiaalsoortcode uit ATC kan geen translation hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9018-2013-05-21T000000.html"
              test="not(hl7:translation/@codeSystem='2.16.840.1.113883.2.4.4.1') or (hl7:translation/@codeSystem='2.16.840.1.113883.2.4.4.1' and @codeSystem!='2.16.840.1.113883.6.73')">(MaterialCode): Eventuele translation elementen moeten equivalente of meer algemene alternatieve coderingen bevatten. ATC kan dus niet vertaald worden naar GPK.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9018-2013-05-21T000000.html"
              test="not(hl7:translation/@codeSystem='2.16.840.1.113883.2.4.4.10') or (hl7:translation/@codeSystem='2.16.840.1.113883.2.4.4.10' and @codeSystem!='2.16.840.1.113883.6.73' and @codeSystem!='2.16.840.1.113883.2.4.4.1')">(MaterialCode): Eventuele translation elementen moeten equivalente of meer algemene alternatieve coderingen bevatten. ATC of GPK kan dus niet vertaald worden naar PRK.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9018-2013-05-21T000000.html"
              test="not(hl7:translation/@codeSystem='2.16.840.1.113883.2.4.4.7') or (hl7:translation/@codeSystem='2.16.840.1.113883.2.4.4.7' and @codeSystem='2.16.840.1.113883.2.4.4.8')">(MaterialCode): Eventuele translation elementen moeten equivalente of meer algemene alternatieve coderingen bevatten. Alleen artikelnummer kan dus vertaald worden naar HPK.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9018-2013-05-21T000000.html"
              test="not(hl7:translation/@codeSystem='2.16.840.1.113883.2.4.4.8')">(MaterialCode): Eventuele translation elementen moeten equivalente of meer algemene alternatieve coderingen bevatten. Er kan geen vertaling zijn naar artikelnummer.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9018-2013-05-21T000000.html"
              test="not(@codeSystem='2.16.840.1.113883.2.4.4.10') or (hl7:translation/@codeSystem='2.16.840.1.113883.2.4.4.1')">(MaterialCode): Materiaalsoortcode uit PRK moet een translation hebben uit GPK</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9018-2013-05-21T000000.html"
              test="not(hl7:originalText)">(MaterialCode): Bij gecodeerde medicatie mag originalText geen waarde hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9018
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:MedicationKind/hl7:activeIngredient/hl7:activeIngredientMaterialKind/hl7:code[@code]/hl7:translation
Item: (MaterialCode)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9018
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:MedicationKind/hl7:activeIngredient/hl7:activeIngredientMaterialKind/hl7:code[@nullFlavor]
Item: (MaterialCode)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:MedicationKind/hl7:activeIngredient/hl7:activeIngredientMaterialKind/hl7:code[@nullFlavor]">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9018-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MaterialCode): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9018-2013-05-21T000000.html"
              test="string(@nullFlavor)=('OTH')">(MaterialCode): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9018-2013-05-21T000000.html"
              test="@nullFlavor='OTH'">(MaterialCode): Bij niet gecodeerde medicatie moet @nullFlavor 'OTH' bevatten.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9018-2013-05-21T000000.html"
              test="count(hl7:originalText)&gt;=1 and not(hl7:originalText/@nullFlavor)">(MaterialCode): element hl7:originalText is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9018-2013-05-21T000000.html"
              test="count(hl7:originalText)&lt;=1">(MaterialCode): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9018
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:MedicationKind/hl7:activeIngredient/hl7:activeIngredientMaterialKind/hl7:code[@nullFlavor]/hl7:originalText
Item: (MaterialCode)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.106
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:MedicationKind/hl7:otherIngredient
Item: (MedicationKind)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:MedicationKind/hl7:otherIngredient">
      <extends rule="tmp-r-14e57110-d72e-4cd5-86b8-e77b00964e5d"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.106-2013-05-21T000000.html"
              test="string(@classCode)=('INGR') or not(@classCode)">(MedicationKind): de waarde van @classCode MOET 'INGR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.106-2013-05-21T000000.html"
              test="../hl7:code/@nullFlavor">(MedicationKind): Bij gecodeerde medicatie mag otherIngredient niet gebruikt worden</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.109
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:MedicationKind/hl7:otherIngredient
Item: (OtherIngredient)
-->
<rule id="tmp-r-14e57110-d72e-4cd5-86b8-e77b00964e5d" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.109-2013-05-21T000000.html"
              test="count(hl7:quantity)&lt;=1">(OtherIngredient): element hl7:quantity komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.109-2013-05-21T000000.html"
              test="count(hl7:ingredientMaterialKind)&gt;=1 and not(hl7:ingredientMaterialKind/@nullFlavor)">(OtherIngredient): element hl7:ingredientMaterialKind is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.109-2013-05-21T000000.html"
              test="count(hl7:ingredientMaterialKind)&lt;=1">(OtherIngredient): element hl7:ingredientMaterialKind komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.109
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:MedicationKind/hl7:otherIngredient/hl7:quantity
Item: (OtherIngredient)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.122
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:MedicationKind/hl7:otherIngredient/hl7:quantity
Item: (IngredientQuantity)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:MedicationKind/hl7:otherIngredient/hl7:quantity">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.122-2013-05-21T000000.html"
              test="count(hl7:numerator)&gt;=1 and not(hl7:numerator/@nullFlavor)">(IngredientQuantity): element hl7:numerator is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.122-2013-05-21T000000.html"
              test="count(hl7:numerator)&lt;=1">(IngredientQuantity): element hl7:numerator komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.122-2013-05-21T000000.html"
              test="count(hl7:denominator)&gt;=1 and not(hl7:denominator/@nullFlavor)">(IngredientQuantity): element hl7:denominator is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.122-2013-05-21T000000.html"
              test="count(hl7:denominator)&lt;=1">(IngredientQuantity): element hl7:denominator komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.122
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:MedicationKind/hl7:otherIngredient/hl7:quantity/hl7:numerator
Item: (IngredientQuantity)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:MedicationKind/hl7:otherIngredient/hl7:quantity/hl7:numerator">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.122-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(IngredientQuantity): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PQ" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="digitok"
           value="matches(string(@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.122-2013-05-21T000000.html"
              test="$digitok or @nullFlavor">(IngredientQuantity): @value is geen geldig PQ getal <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.122-2013-05-21T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(IngredientQuantity): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.122
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:MedicationKind/hl7:otherIngredient/hl7:quantity/hl7:denominator
Item: (IngredientQuantity)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:MedicationKind/hl7:otherIngredient/hl7:quantity/hl7:denominator">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.122-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(IngredientQuantity): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PQ" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="digitok"
           value="matches(string(@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.122-2013-05-21T000000.html"
              test="$digitok or @nullFlavor">(IngredientQuantity): @value is geen geldig PQ getal <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.122-2013-05-21T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(IngredientQuantity): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.109
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:MedicationKind/hl7:otherIngredient/hl7:ingredientMaterialKind
Item: (OtherIngredient)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.108
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:MedicationKind/hl7:otherIngredient/hl7:ingredientMaterialKind
Item: (IngredientMaterialKind)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:MedicationKind/hl7:otherIngredient/hl7:ingredientMaterialKind">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.108-2013-05-21T000000.html"
              test="string(@classCode)=('MAT') or not(@classCode)">(IngredientMaterialKind): de waarde van @classCode MOET 'MAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.108-2013-05-21T000000.html"
              test="string(@determinerCode)=('KIND') or not(@determinerCode)">(IngredientMaterialKind): de waarde van @determinerCode MOET 'KIND' zijn.</assert>
      <let name="elmcount" value="count(hl7:code[@code]|hl7:code[@nullFlavor])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.108-2013-05-21T000000.html"
              test="$elmcount&gt;=1">(IngredientMaterialKind): keuze (hl7:code[@code] of hl7:code[@nullFlavor]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.108-2013-05-21T000000.html"
              test="$elmcount&lt;=1">(IngredientMaterialKind): keuze (hl7:code[@code] of hl7:code[@nullFlavor]) bevat te veel elementen [max 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.108-2013-05-21T000000.html"
              test="count(hl7:code[@code])&lt;=1">(IngredientMaterialKind): element hl7:code[@code] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.108-2013-05-21T000000.html"
              test="count(hl7:code[@nullFlavor])&lt;=1">(IngredientMaterialKind): element hl7:code[@nullFlavor] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9018
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:MedicationKind/hl7:otherIngredient/hl7:ingredientMaterialKind
Item: (MaterialCode)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9018
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:MedicationKind/hl7:otherIngredient/hl7:ingredientMaterialKind/hl7:code[@code]
Item: (MaterialCode)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:MedicationKind/hl7:otherIngredient/hl7:ingredientMaterialKind/hl7:code[@code]">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9018-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MaterialCode): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9018-2013-05-21T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.1') or (@codeSystem='2.16.840.1.113883.2.4.4.7') or (@codeSystem='2.16.840.1.113883.2.4.4.8') or (@codeSystem='2.16.840.1.113883.2.4.4.10') or (@codeSystem='2.16.840.1.113883.6.73')">(MaterialCode): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.2.4.4.1' of codeSystem '2.16.840.1.113883.2.4.4.7' of codeSystem '2.16.840.1.113883.2.4.4.8' of codeSystem '2.16.840.1.113883.2.4.4.10' of codeSystem '2.16.840.1.113883.6.73''.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9018-2013-05-21T000000.html"
              test="(@code and @displayName) or not(@code)">(MaterialCode): Materiaalsoortcode moet attribuut @displayName hebben tenzij er geen code is</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9018-2013-05-21T000000.html"
              test="not(hl7:translation) or hl7:translation/@codeSystem='2.16.840.1.113883.6.73' or hl7:translation/@codeSystem='2.16.840.1.113883.2.4.4.1'                                 or hl7:translation/@codeSystem='2.16.840.1.113883.2.4.4.10' or hl7:translation/@codeSystem='2.16.840.1.113883.2.4.4.7'">(MaterialCode): Materiaalsoortcode kan alleen translation hebben uit ATC, GPK, PRK, HPK</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9018-2013-05-21T000000.html"
              test="not(hl7:translation/@codeSystem=@codeSystem)">(MaterialCode): Materiaalsoortcode kan geen translation hebben uit hetzelfde codesysteem</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9018-2013-05-21T000000.html"
              test="not(@codeSystem='2.16.840.1.113883.6.73' and hl7:translation)">(MaterialCode): Materiaalsoortcode uit ATC kan geen translation hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9018-2013-05-21T000000.html"
              test="not(hl7:translation/@codeSystem='2.16.840.1.113883.2.4.4.1') or (hl7:translation/@codeSystem='2.16.840.1.113883.2.4.4.1' and @codeSystem!='2.16.840.1.113883.6.73')">(MaterialCode): Eventuele translation elementen moeten equivalente of meer algemene alternatieve coderingen bevatten. ATC kan dus niet vertaald worden naar GPK.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9018-2013-05-21T000000.html"
              test="not(hl7:translation/@codeSystem='2.16.840.1.113883.2.4.4.10') or (hl7:translation/@codeSystem='2.16.840.1.113883.2.4.4.10' and @codeSystem!='2.16.840.1.113883.6.73' and @codeSystem!='2.16.840.1.113883.2.4.4.1')">(MaterialCode): Eventuele translation elementen moeten equivalente of meer algemene alternatieve coderingen bevatten. ATC of GPK kan dus niet vertaald worden naar PRK.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9018-2013-05-21T000000.html"
              test="not(hl7:translation/@codeSystem='2.16.840.1.113883.2.4.4.7') or (hl7:translation/@codeSystem='2.16.840.1.113883.2.4.4.7' and @codeSystem='2.16.840.1.113883.2.4.4.8')">(MaterialCode): Eventuele translation elementen moeten equivalente of meer algemene alternatieve coderingen bevatten. Alleen artikelnummer kan dus vertaald worden naar HPK.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9018-2013-05-21T000000.html"
              test="not(hl7:translation/@codeSystem='2.16.840.1.113883.2.4.4.8')">(MaterialCode): Eventuele translation elementen moeten equivalente of meer algemene alternatieve coderingen bevatten. Er kan geen vertaling zijn naar artikelnummer.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9018-2013-05-21T000000.html"
              test="not(@codeSystem='2.16.840.1.113883.2.4.4.10') or (hl7:translation/@codeSystem='2.16.840.1.113883.2.4.4.1')">(MaterialCode): Materiaalsoortcode uit PRK moet een translation hebben uit GPK</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9018-2013-05-21T000000.html"
              test="not(hl7:originalText)">(MaterialCode): Bij gecodeerde medicatie mag originalText geen waarde hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9018
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:MedicationKind/hl7:otherIngredient/hl7:ingredientMaterialKind/hl7:code[@code]/hl7:translation
Item: (MaterialCode)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9018
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:MedicationKind/hl7:otherIngredient/hl7:ingredientMaterialKind/hl7:code[@nullFlavor]
Item: (MaterialCode)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:MedicationKind/hl7:otherIngredient/hl7:ingredientMaterialKind/hl7:code[@nullFlavor]">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9018-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MaterialCode): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9018-2013-05-21T000000.html"
              test="string(@nullFlavor)=('OTH')">(MaterialCode): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9018-2013-05-21T000000.html"
              test="@nullFlavor='OTH'">(MaterialCode): Bij niet gecodeerde medicatie moet @nullFlavor 'OTH' bevatten.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9018-2013-05-21T000000.html"
              test="count(hl7:originalText)&gt;=1 and not(hl7:originalText/@nullFlavor)">(MaterialCode): element hl7:originalText is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9018-2013-05-21T000000.html"
              test="count(hl7:originalText)&lt;=1">(MaterialCode): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9018
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:MedicationKind/hl7:otherIngredient/hl7:ingredientMaterialKind/hl7:code[@nullFlavor]/hl7:originalText
Item: (MaterialCode)
-->
<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.110
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf
Item: (MedicationDispenseEvent)
-->

<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf"
         id="tmp-r-82008c53-3428-4d9f-aa5f-c8a34d0e05e4">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="string(@typeCode)=('DIR') or not(@typeCode)">(MedicationDispenseEvent): de waarde van @typeCode MOET 'DIR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:prescription)&gt;=1 and not(hl7:prescription/@nullFlavor)">(MedicationDispenseEvent): element hl7:prescription is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:prescription)&lt;=1">(MedicationDispenseEvent): element hl7:prescription komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.110
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription
Item: (MedicationDispenseEvent)
-->

<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription"
         id="tmp-r-64a908fb-5201-4ab3-9d3f-9dbfa67d75f3">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="string(@classCode)=('SBADM') or not(@classCode)">(MedicationDispenseEvent): de waarde van @classCode MOET 'SBADM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="string(@moodCode)=('RQO') or not(@moodCode)">(MedicationDispenseEvent): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:id)&gt;=1 ">(MedicationDispenseEvent): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:id)&lt;=1">(MedicationDispenseEvent): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:statusCode[@code='active' or @code='completed' or @nullFlavor])&gt;=1 ">(MedicationDispenseEvent): element hl7:statusCode[@code='active' or @code='completed' or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:statusCode[@code='active' or @code='completed' or @nullFlavor])&lt;=1">(MedicationDispenseEvent): element hl7:statusCode[@code='active' or @code='completed' or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:subject)&lt;=1">(MedicationDispenseEvent): element hl7:subject komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:author)&lt;=1">(MedicationDispenseEvent): element hl7:author komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.110
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:id
Item: (MedicationDispenseEvent)
-->

<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:id"
         id="tmp-r-eaacbc3f-90ce-4f21-8901-ee7cfce05e2b">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationDispenseEvent): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="string(@nullFlavor)=('UNK') or not(@nullFlavor)">(MedicationDispenseEvent): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.110
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:statusCode[@code='active' or @code='completed' or @nullFlavor]
Item: (MedicationDispenseEvent)
-->

<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:statusCode[@code='active' or @code='completed' or @nullFlavor]"
         id="tmp-r-ce40dd51-cac0-421e-a26a-a432e4ba8763">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationDispenseEvent): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="@nullFlavor or (@code='active') or (@code='completed')">(MedicationDispenseEvent): de elementwaarde MOET een zijn van 'code 'active' of code 'completed''.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="not(@nullFlavor) or @nullFlavor=('UNK')">(MedicationDispenseEvent): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst .</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="string(@nullFlavor)=('UNK') or not(@nullFlavor)">(MedicationDispenseEvent): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.110
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:subject
Item: (MedicationDispenseEvent)
-->

<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:subject"
         id="tmp-r-a7537314-1b32-4cd7-a743-76eac544f809">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="string(@typeCode)=('SBJ') or not(@typeCode)">(MedicationDispenseEvent): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="not(name(/*)='QURX_IN990113NL')">(MedicationDispenseEvent): subject niet opnemen als de Medicatieverstrekking onderdeel is van een Medicatieverstrekkingenlijst</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:Patient)&gt;=1 and not(hl7:Patient/@nullFlavor)">(MedicationDispenseEvent): element hl7:Patient is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:Patient)&lt;=1">(MedicationDispenseEvent): element hl7:Patient komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.110
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:subject/hl7:Patient
Item: (MedicationDispenseEvent)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.816
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:subject/hl7:Patient
Item: (PatientNL_verstrekking)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:subject/hl7:Patient">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.816-2013-05-21T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(PatientNL_verstrekking): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.816-2013-05-21T000000.html"
              test="count(hl7:id)&lt;=1">(PatientNL_verstrekking): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.816-2013-05-21T000000.html"
              test="count(hl7:statusCode[@code='active' or @nullFlavor])&gt;=1 ">(PatientNL_verstrekking): element hl7:statusCode[@code='active' or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.816-2013-05-21T000000.html"
              test="count(hl7:statusCode[@code='active' or @nullFlavor])&lt;=1">(PatientNL_verstrekking): element hl7:statusCode[@code='active' or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.816-2013-05-21T000000.html"
              test="count(hl7:Person)&gt;=1 ">(PatientNL_verstrekking): element hl7:Person is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.816-2013-05-21T000000.html"
              test="count(hl7:Person)&lt;=1">(PatientNL_verstrekking): element hl7:Person komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.816
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:subject/hl7:Patient/hl7:id
Item: (PatientNL_verstrekking)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:subject/hl7:Patient/hl7:id">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.816-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientNL_verstrekking): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.BSN"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.816
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:subject/hl7:Patient/hl7:addr
Item: (PatientNL_verstrekking)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.816
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:subject/hl7:Patient/hl7:telecom
Item: (PatientNL_verstrekking)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:subject/hl7:Patient/hl7:telecom">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.816-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientNL_verstrekking): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.816
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:subject/hl7:Patient/hl7:statusCode[@code='active' or @nullFlavor]
Item: (PatientNL_verstrekking)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:subject/hl7:Patient/hl7:statusCode[@code='active' or @nullFlavor]">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.816-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientNL_verstrekking): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.816-2013-05-21T000000.html"
              test="@nullFlavor or (@code='active')">(PatientNL_verstrekking): de elementwaarde MOET een zijn van 'code 'active''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.816
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:subject/hl7:Patient/hl7:Person
Item: (PatientNL_verstrekking)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:subject/hl7:Patient/hl7:Person">
      <extends rule="tmp-r-b206ef4b-64f3-4b6a-9c77-3699020a0806"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.816-2013-05-21T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(PatientNL_verstrekking): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.816-2013-05-21T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(PatientNL_verstrekking): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.814
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:subject/hl7:Patient/hl7:Person
Item: (PersonNL_verstrlst)
-->
<rule id="tmp-r-b206ef4b-64f3-4b6a-9c77-3699020a0806" abstract="true">
      <let name="elmcount"
           value="count(hl7:name[contains(@use,'OR')]|hl7:name[@use='L' or @use='A' or not(exists(@use))])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.814-2013-05-21T000000.html"
              test="$elmcount&gt;=1">(PersonNL_verstrlst): keuze (hl7:name[contains(@use,'OR')] of hl7:name[@use='L' or @use='A' or not(exists(@use))]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.814-2013-05-21T000000.html"
              test="$elmcount&lt;=2">(PersonNL_verstrlst): keuze (hl7:name[contains(@use,'OR')] of hl7:name[@use='L' or @use='A' or not(exists(@use))]) bevat te veel elementen [max 2x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.814-2013-05-21T000000.html"
              test="count(hl7:name[contains(@use,'OR')])&lt;=1">(PersonNL_verstrlst): element hl7:name[contains(@use,'OR')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.814-2013-05-21T000000.html"
              test="count(hl7:name[@use='L' or @use='A' or not(exists(@use))])&lt;=1">(PersonNL_verstrlst): element hl7:name[@use='L' or @use='A' or not(exists(@use))] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.814-2013-05-21T000000.html"
              test="count(hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(PersonNL_verstrlst): element hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.814-2013-05-21T000000.html"
              test="count(hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(PersonNL_verstrlst): element hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.814-2013-05-21T000000.html"
              test="count(hl7:birthTime)&gt;=1 and not(hl7:birthTime/@nullFlavor)">(PersonNL_verstrlst): element hl7:birthTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.814-2013-05-21T000000.html"
              test="count(hl7:birthTime)&lt;=1">(PersonNL_verstrlst): element hl7:birthTime komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.806
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:subject/hl7:Patient/hl7:Person/hl7:name[contains(@use,'OR')]
Item: (NaamOfficieel)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:subject/hl7:Patient/hl7:Person/hl7:name[contains(@use,'OR')]">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.806-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(NaamOfficieel): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.806-2013-05-21T000000.html"
              test="@use">(NaamOfficieel): attribute @use MOET aanwezig zijn.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@use),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@use,' ') return if ($code=('OR','L')) then ($code) else ())"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.806-2013-05-21T000000.html"
              test="not(@use) or count($theAttValue) = count($theAttCheck)">(NaamOfficieel): de waarde van use MOET 'code OR of code L' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.806-2013-05-21T000000.html"
              test="count(hl7:given)&gt;=1 and not(hl7:given/@nullFlavor)">(NaamOfficieel): element hl7:given is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.806-2013-05-21T000000.html"
              test="count(hl7:given)&lt;=1">(NaamOfficieel): element hl7:given komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.806-2013-05-21T000000.html"
              test="count(hl7:family)&gt;=1 and not(hl7:family/@nullFlavor)">(NaamOfficieel): element hl7:family is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.806-2013-05-21T000000.html"
              test="count(hl7:family)&lt;=1">(NaamOfficieel): element hl7:family komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.806
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:subject/hl7:Patient/hl7:Person/hl7:name[contains(@use,'OR')]/hl7:given
Item: (NaamOfficieel)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:subject/hl7:Patient/hl7:Person/hl7:name[contains(@use,'OR')]/hl7:given">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.806-2013-05-21T000000.html"
              test="string(@qualifier)=('BR') or not(@qualifier)">(NaamOfficieel): de waarde van @qualifier MOET 'BR' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.806
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:subject/hl7:Patient/hl7:Person/hl7:name[contains(@use,'OR')]/hl7:prefix
Item: (NaamOfficieel)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.806
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:subject/hl7:Patient/hl7:Person/hl7:name[contains(@use,'OR')]/hl7:family
Item: (NaamOfficieel)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:subject/hl7:Patient/hl7:Person/hl7:name[contains(@use,'OR')]/hl7:family">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.806-2013-05-21T000000.html"
              test="string(@qualifier)=('BR')">(NaamOfficieel): de waarde van @qualifier MOET 'BR' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.815
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:subject/hl7:Patient/hl7:Person/hl7:name[@use='L' or @use='A' or not(exists(@use))]
Item: (NaamZoalsBekendBijInstelling_verstrlst)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:subject/hl7:Patient/hl7:Person/hl7:name[@use='L' or @use='A' or not(exists(@use))]">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.815-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(NaamZoalsBekendBijInstelling_verstrlst): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@use),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@use,' ') return if ($code=('L','A')) then ($code) else ())"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.815-2013-05-21T000000.html"
              test="not(@use) or count($theAttValue) = count($theAttCheck)">(NaamZoalsBekendBijInstelling_verstrlst): de waarde van use MOET 'code L of code A' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:given|hl7:prefix|hl7:family|hl7:delimiter|hl7:suffix)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.815-2013-05-21T000000.html"
              test="count(hl7:validTime)&lt;=1">(NaamZoalsBekendBijInstelling_verstrlst): element hl7:validTime komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.815
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:subject/hl7:Patient/hl7:Person/hl7:name[@use='L' or @use='A' or not(exists(@use))]/hl7:given
Item: (NaamZoalsBekendBijInstelling_verstrlst)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.815
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:subject/hl7:Patient/hl7:Person/hl7:name[@use='L' or @use='A' or not(exists(@use))]/hl7:prefix
Item: (NaamZoalsBekendBijInstelling_verstrlst)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:subject/hl7:Patient/hl7:Person/hl7:name[@use='L' or @use='A' or not(exists(@use))]/hl7:prefix">
      <assert role="warning"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.815-2013-05-21T000000.html"
              test="@qualifier">(NaamZoalsBekendBijInstelling_verstrlst): 
                            <name path=".."/>/<name/>/@qualifier ontbreekt. Deze prefix zal als titel worden geïnterpreteerd.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.815
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:subject/hl7:Patient/hl7:Person/hl7:name[@use='L' or @use='A' or not(exists(@use))]/hl7:family
Item: (NaamZoalsBekendBijInstelling_verstrlst)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.815
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:subject/hl7:Patient/hl7:Person/hl7:name[@use='L' or @use='A' or not(exists(@use))]/hl7:delimiter
Item: (NaamZoalsBekendBijInstelling_verstrlst)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.815
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:subject/hl7:Patient/hl7:Person/hl7:name[@use='L' or @use='A' or not(exists(@use))]/hl7:suffix
Item: (NaamZoalsBekendBijInstelling_verstrlst)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.815
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:subject/hl7:Patient/hl7:Person/hl7:name[@use='L' or @use='A' or not(exists(@use))]/hl7:validTime
Item: (NaamZoalsBekendBijInstelling_verstrlst)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.808
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:subject/hl7:Patient/hl7:Person/hl7:name[@use='L' or @use='A' or not(exists(@use))]/hl7:validTime
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:subject/hl7:Patient/hl7:Person/hl7:name[@use='L' or @use='A' or not(exists(@use))]/hl7:validTime">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.808-2013-05-21T000000.html"
              test="string(@nullFlavor)=('UNK') or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.808-2013-05-21T000000.html"
              test="count(hl7:low)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.808-2013-05-21T000000.html"
              test="count(hl7:high)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.808-2013-05-21T000000.html"
              test="count(hl7:width)=0">(Periode-O-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.808-2013-05-21T000000.html"
              test="count(hl7:center)=0">(Periode-O-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.808
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:subject/hl7:Patient/hl7:Person/hl7:name[@use='L' or @use='A' or not(exists(@use))]/hl7:validTime/hl7:low
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:subject/hl7:Patient/hl7:Person/hl7:name[@use='L' or @use='A' or not(exists(@use))]/hl7:validTime/hl7:low">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.808-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Periode-O-Start-O-Eind-O): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.808-2013-05-21T000000.html"
              test="string(@nullFlavor)=('UNK') or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.808
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:subject/hl7:Patient/hl7:Person/hl7:name[@use='L' or @use='A' or not(exists(@use))]/hl7:validTime/hl7:high
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:subject/hl7:Patient/hl7:Person/hl7:name[@use='L' or @use='A' or not(exists(@use))]/hl7:validTime/hl7:high">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.808-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Periode-O-Start-O-Eind-O): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.808-2013-05-21T000000.html"
              test="string(@nullFlavor)=('UNK') or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.808
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:subject/hl7:Patient/hl7:Person/hl7:name[@use='L' or @use='A' or not(exists(@use))]/hl7:validTime/hl7:width
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.808
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:subject/hl7:Patient/hl7:Person/hl7:name[@use='L' or @use='A' or not(exists(@use))]/hl7:validTime/hl7:center
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.814
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:subject/hl7:Patient/hl7:Person/hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (PersonNL_verstrlst)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:subject/hl7:Patient/hl7:Person/hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.814-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PersonNL_verstrlst): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.814-2013-05-21T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(PersonNL_verstrlst): de elementwaarde MOET een zijn van 'AdministrativeGender (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.814-2013-05-21T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(PersonNL_verstrlst): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst AdministrativeGender (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.814
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:subject/hl7:Patient/hl7:Person/hl7:birthTime
Item: (PersonNL_verstrlst)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:subject/hl7:Patient/hl7:Person/hl7:birthTime">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.814-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PersonNL_verstrlst): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.110
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:author
Item: (MedicationDispenseEvent)
-->

<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:author"
         id="tmp-r-c1226699-9e18-4fb1-82ac-64d7a695b646">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="string(@typeCode)=('AUT') or not(@typeCode)">(MedicationDispenseEvent): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:time)&gt;=1 ">(MedicationDispenseEvent): element hl7:time is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:time)&lt;=1">(MedicationDispenseEvent): element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:AssignedPerson)&gt;=1 ">(MedicationDispenseEvent): element hl7:AssignedPerson is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:AssignedPerson)&lt;=1">(MedicationDispenseEvent): element hl7:AssignedPerson komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.110
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:author/hl7:time
Item: (MedicationDispenseEvent)
-->

<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:author/hl7:time"
         id="tmp-r-b83a2518-5d5d-470b-b6cc-32ae20b76a14">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationDispenseEvent): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="string(@nullFlavor)=('UNK') or not(@nullFlavor)">(MedicationDispenseEvent): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.110
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:author/hl7:AssignedPerson
Item: (MedicationDispenseEvent)
-->

<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:author/hl7:AssignedPerson"
         id="tmp-r-9c7bf5d3-60a1-4b16-be1e-d2721e85a648">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(MedicationDispenseEvent): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:id)&lt;=1">(MedicationDispenseEvent): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.110
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:author/hl7:AssignedPerson/hl7:id
Item: (MedicationDispenseEvent)
-->

<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:directTargetOf/hl7:prescription/hl7:author/hl7:AssignedPerson/hl7:id"
         id="tmp-r-8aa88ef9-e763-4dac-8771-dddcccefc1a6">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationDispenseEvent): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="@root">(MedicationDispenseEvent): attribute @root MOET aanwezig zijn.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@root),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@root,' ') return if ($code=('2.16.528.1.1007.3.1','2.16.840.1.113883.2.4.6.1')) then ($code) else ())"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="not(@root) or count($theAttValue) = count($theAttCheck)">(MedicationDispenseEvent): de waarde van root MOET 'code 2.16.528.1.1007.3.1 of code 2.16.840.1.113883.2.4.6.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.110
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf
Item: (MedicationDispenseEvent)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="string(@typeCode)=('TPA') or not(@typeCode)">(MedicationDispenseEvent): de waarde van @typeCode MOET 'TPA' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.100
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf
Item: (MedicationAdministrationRequest)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.100
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest
Item: (MedicationAdministrationRequest)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="string(@classCode)=('SBADM') or not(@classCode)">(MedicationAdministrationRequest): de waarde van @classCode MOET 'SBADM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="string(@moodCode)=('RQO') or not(@moodCode)">(MedicationAdministrationRequest): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(MedicationAdministrationRequest): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="count(hl7:text)&lt;=1">(MedicationAdministrationRequest): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="count(hl7:statusCode[@code='active'])&gt;=1 and not(hl7:statusCode[@code='active']/@nullFlavor)">(MedicationAdministrationRequest): element hl7:statusCode[@code='active'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="count(hl7:statusCode[@code='active'])&lt;=1">(MedicationAdministrationRequest): element hl7:statusCode[@code='active'] komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:effectiveTime[@xsi:type='SXPR_TS']|hl7:effectiveTime[@xsi:type='IVL_TS']|hl7:effectiveTime[@xsi:type='PIVL_TS']|hl7:effectiveTime[not(exists(@xsi:type)) or @xsi:type='TS'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="$elmcount&lt;=1">(MedicationAdministrationRequest): keuze (hl7:effectiveTime[@xsi:type='SXPR_TS'] of hl7:effectiveTime[@xsi:type='IVL_TS'] of hl7:effectiveTime[@xsi:type='PIVL_TS'] of hl7:effectiveTime[not(exists(@xsi:type)) or @xsi:type='TS']) bevat te veel elementen [max 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="count(hl7:effectiveTime[@xsi:type='SXPR_TS'])&lt;=1">(MedicationAdministrationRequest): element hl7:effectiveTime[@xsi:type='SXPR_TS'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="count(hl7:effectiveTime[@xsi:type='IVL_TS'])&lt;=1">(MedicationAdministrationRequest): element hl7:effectiveTime[@xsi:type='IVL_TS'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="count(hl7:effectiveTime[@xsi:type='PIVL_TS'])&lt;=1">(MedicationAdministrationRequest): element hl7:effectiveTime[@xsi:type='PIVL_TS'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="count(hl7:effectiveTime[not(exists(@xsi:type)) or @xsi:type='TS'])&lt;=1">(MedicationAdministrationRequest): element hl7:effectiveTime[not(exists(@xsi:type)) or @xsi:type='TS'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="count(hl7:routeCode)&lt;=1">(MedicationAdministrationRequest): element hl7:routeCode komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:doseQuantity[hl7:center]|hl7:doseQuantity[hl7:low|hl7:high]|hl7:doseQuantity[hl7:translation])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="$elmcount&lt;=1">(MedicationAdministrationRequest): keuze (hl7:doseQuantity[hl7:center] of hl7:doseQuantity[hl7:low of hl7:high] of hl7:doseQuantity[hl7:translation]) bevat te veel elementen [max 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="count(hl7:doseQuantity[hl7:center])&lt;=1">(MedicationAdministrationRequest): element hl7:doseQuantity[hl7:center] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="count(hl7:doseQuantity[hl7:low|hl7:high])&lt;=1">(MedicationAdministrationRequest): element hl7:doseQuantity[hl7:low|hl7:high] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="count(hl7:doseQuantity[hl7:translation])&lt;=1">(MedicationAdministrationRequest): element hl7:doseQuantity[hl7:translation] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="count(hl7:doseCheckQuantity)&lt;=1">(MedicationAdministrationRequest): element hl7:doseCheckQuantity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.100
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:text
Item: (MedicationAdministrationRequest)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:text">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationAdministrationRequest): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="string(@mediaType)=('text/plain') or not(@mediaType)">(MedicationAdministrationRequest): de waarde van @mediaType MOET 'text/plain' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.100
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:statusCode[@code='active']
Item: (MedicationAdministrationRequest)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:statusCode[@code='active']">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationAdministrationRequest): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="@nullFlavor or (@code='active')">(MedicationAdministrationRequest): de elementwaarde MOET een zijn van 'code 'active''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9006
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest
Item: (UsablePeriodandFrequency)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9006
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:effectiveTime[@xsi:type='SXPR_TS']
Item: (UsablePeriodandFrequency)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:effectiveTime[@xsi:type='SXPR_TS']">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9006-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SXPR_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UsablePeriodandFrequency): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SXPR_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SXPR_TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9006-2013-05-21T000000.html"
              test="count(hl7:comp[@xsi:type='IVL_TS'])&lt;=1">(UsablePeriodandFrequency): element hl7:comp[@xsi:type='IVL_TS'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9006
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='IVL_TS']
Item: (UsablePeriodandFrequency)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='IVL_TS']">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9006-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UsablePeriodandFrequency): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9006-2013-05-21T000000.html"
              test="count(hl7:low)&lt;=1">(UsablePeriodandFrequency): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9006-2013-05-21T000000.html"
              test="count(hl7:width)&lt;=1">(UsablePeriodandFrequency): element hl7:width komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9006-2013-05-21T000000.html"
              test="count(hl7:high)&lt;=1">(UsablePeriodandFrequency): element hl7:high komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9019
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='IVL_TS']/hl7:low
Item: (UsablePeriod)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='IVL_TS']/hl7:low">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9019-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UsablePeriod): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9019
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='IVL_TS']/hl7:width
Item: (UsablePeriod)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='IVL_TS']/hl7:width">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9019-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UsablePeriod): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PQ" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="digitok"
           value="matches(string(@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9019-2013-05-21T000000.html"
              test="$digitok or @nullFlavor">(UsablePeriod): @value is geen geldig PQ getal <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9019-2013-05-21T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(UsablePeriod): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9019-2013-05-21T000000.html"
              test="@value">(UsablePeriod): attribute @value MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9019-2013-05-21T000000.html"
              test="not(@value) or matches(string(@value), '^-?[1-9]\d*$|^+?\d*$')">(UsablePeriod): attribuut @value is geen geldig int getal <value-of select="@value"/>
      </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9019-2013-05-21T000000.html"
              test="@unit">(UsablePeriod): attribute @unit MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9019-2013-05-21T000000.html"
              test="not(@unit) or (string-length(@unit)&gt;0 and not(matches(@unit,'\s')))">(UsablePeriod): attribuut @unit MOET datatype 'cs' hebben</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@unit),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.2.4.3.11.60.20.77.11.15-2015-03-05T000000.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9019-2013-05-21T000000.html"
              test="not(@unit) or count($theAttValue) = count($theAttCheck)">(UsablePeriod): de waarde van unit MOET worden gekozen uit waardelijst 'Time_Atd_PQ_UCUM' Time a tot d PQ (UCUM) (2015-03-05T00:00:00).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9019
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='IVL_TS']/hl7:high
Item: (UsablePeriod)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='IVL_TS']/hl7:high">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9019-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UsablePeriod): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9019-2013-05-21T000000.html"
              test="not(../hl7:width)">(UsablePeriod): Einddatum/tijd alleen opnemen in de klinische situatie. Einddatum/tijd mag niet voorkomen in combinatie met width.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9019-2013-05-21T000000.html"
              test="../hl7:low">(UsablePeriod): Einddatum/tijd alleen opnemen in de klinische situatie. Einddatum/tijd mag alleen voorkomen in combinatie met low.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9019-2013-05-21T000000.html"
              test="true()">(UsablePeriod): Let op! Einddatum is alleen van toepassing in de klinische situatie. Gebruik anders width.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9006
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='PIVL_TS']
Item: (UsablePeriodandFrequency)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='PIVL_TS']">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9006-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PIVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UsablePeriodandFrequency): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PIVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PIVL_TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9006-2013-05-21T000000.html"
              test="count(hl7:phase)&lt;=1">(UsablePeriodandFrequency): element hl7:phase komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9006-2013-05-21T000000.html"
              test="count(hl7:period)&lt;=1">(UsablePeriodandFrequency): element hl7:period komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9020
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='PIVL_TS']/hl7:phase
Item: (Frequency)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='PIVL_TS']/hl7:phase">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9020-2015-03-05T134139.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Frequency): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9020
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='PIVL_TS']/hl7:period
Item: (Frequency)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='PIVL_TS']/hl7:period">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9020-2015-03-05T134139.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Frequency): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PQ" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="digitok"
           value="matches(string(@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9020-2015-03-05T134139.html"
              test="$digitok or @nullFlavor">(Frequency): @value is geen geldig PQ getal <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9020-2015-03-05T134139.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Frequency): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9020-2015-03-05T134139.html"
              test="@value">(Frequency): attribute @value MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9020-2015-03-05T134139.html"
              test="@unit">(Frequency): attribute @unit MOET aanwezig zijn.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@unit),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.2.4.3.11.60.20.77.11.15-2015-03-05T000000.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9020-2015-03-05T134139.html"
              test="not(@unit) or count($theAttValue) = count($theAttCheck)">(Frequency): de waarde van unit MOET worden gekozen uit waardelijst 'Time_Atd_PQ_UCUM' Time a tot d PQ (UCUM) (2015-03-05T00:00:00).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9006
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='SXPR_TS']
Item: (UsablePeriodandFrequency)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='SXPR_TS']">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9006-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SXPR_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UsablePeriodandFrequency): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SXPR_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SXPR_TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9006-2013-05-21T000000.html"
              test="count(hl7:comp[@xsi:type='PIVL_TS'])&gt;=2 ">(UsablePeriodandFrequency): element hl7:comp[@xsi:type='PIVL_TS'] is required [min 2x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9006
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='PIVL_TS']
Item: (UsablePeriodandFrequency)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='PIVL_TS']">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9006-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PIVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UsablePeriodandFrequency): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PIVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PIVL_TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9006-2013-05-21T000000.html"
              test="count(hl7:phase)&lt;=1">(UsablePeriodandFrequency): element hl7:phase komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9006-2013-05-21T000000.html"
              test="count(hl7:period)&lt;=1">(UsablePeriodandFrequency): element hl7:period komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9020
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='PIVL_TS']/hl7:phase
Item: (Frequency)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='PIVL_TS']/hl7:phase">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9020-2015-03-05T134139.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Frequency): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9020
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='PIVL_TS']/hl7:period
Item: (Frequency)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='PIVL_TS']/hl7:period">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9020-2015-03-05T134139.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Frequency): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PQ" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="digitok"
           value="matches(string(@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9020-2015-03-05T134139.html"
              test="$digitok or @nullFlavor">(Frequency): @value is geen geldig PQ getal <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9020-2015-03-05T134139.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Frequency): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9020-2015-03-05T134139.html"
              test="@value">(Frequency): attribute @value MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9020-2015-03-05T134139.html"
              test="@unit">(Frequency): attribute @unit MOET aanwezig zijn.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@unit),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.2.4.3.11.60.20.77.11.15-2015-03-05T000000.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9020-2015-03-05T134139.html"
              test="not(@unit) or count($theAttValue) = count($theAttCheck)">(Frequency): de waarde van unit MOET worden gekozen uit waardelijst 'Time_Atd_PQ_UCUM' Time a tot d PQ (UCUM) (2015-03-05T00:00:00).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9006
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:effectiveTime[@xsi:type='IVL_TS']
Item: (UsablePeriodandFrequency)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:effectiveTime[@xsi:type='IVL_TS']">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9006-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UsablePeriodandFrequency): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9006-2013-05-21T000000.html"
              test="count(hl7:low)&lt;=1">(UsablePeriodandFrequency): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9006-2013-05-21T000000.html"
              test="count(hl7:width)&lt;=1">(UsablePeriodandFrequency): element hl7:width komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9006-2013-05-21T000000.html"
              test="count(hl7:high)&lt;=1">(UsablePeriodandFrequency): element hl7:high komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9019
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:effectiveTime[@xsi:type='IVL_TS']/hl7:low
Item: (UsablePeriod)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:effectiveTime[@xsi:type='IVL_TS']/hl7:low">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9019-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UsablePeriod): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9019
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:effectiveTime[@xsi:type='IVL_TS']/hl7:width
Item: (UsablePeriod)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:effectiveTime[@xsi:type='IVL_TS']/hl7:width">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9019-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UsablePeriod): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PQ" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="digitok"
           value="matches(string(@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9019-2013-05-21T000000.html"
              test="$digitok or @nullFlavor">(UsablePeriod): @value is geen geldig PQ getal <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9019-2013-05-21T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(UsablePeriod): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9019-2013-05-21T000000.html"
              test="@value">(UsablePeriod): attribute @value MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9019-2013-05-21T000000.html"
              test="not(@value) or matches(string(@value), '^-?[1-9]\d*$|^+?\d*$')">(UsablePeriod): attribuut @value is geen geldig int getal <value-of select="@value"/>
      </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9019-2013-05-21T000000.html"
              test="@unit">(UsablePeriod): attribute @unit MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9019-2013-05-21T000000.html"
              test="not(@unit) or (string-length(@unit)&gt;0 and not(matches(@unit,'\s')))">(UsablePeriod): attribuut @unit MOET datatype 'cs' hebben</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@unit),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.2.4.3.11.60.20.77.11.15-2015-03-05T000000.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9019-2013-05-21T000000.html"
              test="not(@unit) or count($theAttValue) = count($theAttCheck)">(UsablePeriod): de waarde van unit MOET worden gekozen uit waardelijst 'Time_Atd_PQ_UCUM' Time a tot d PQ (UCUM) (2015-03-05T00:00:00).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9019
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:effectiveTime[@xsi:type='IVL_TS']/hl7:high
Item: (UsablePeriod)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:effectiveTime[@xsi:type='IVL_TS']/hl7:high">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9019-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UsablePeriod): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9019-2013-05-21T000000.html"
              test="not(../hl7:width)">(UsablePeriod): Einddatum/tijd alleen opnemen in de klinische situatie. Einddatum/tijd mag niet voorkomen in combinatie met width.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9019-2013-05-21T000000.html"
              test="../hl7:low">(UsablePeriod): Einddatum/tijd alleen opnemen in de klinische situatie. Einddatum/tijd mag alleen voorkomen in combinatie met low.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9019-2013-05-21T000000.html"
              test="true()">(UsablePeriod): Let op! Einddatum is alleen van toepassing in de klinische situatie. Gebruik anders width.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9006
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:effectiveTime[@xsi:type='PIVL_TS']
Item: (UsablePeriodandFrequency)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:effectiveTime[@xsi:type='PIVL_TS']">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9006-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PIVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UsablePeriodandFrequency): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PIVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PIVL_TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9006-2013-05-21T000000.html"
              test="count(hl7:phase)&lt;=1">(UsablePeriodandFrequency): element hl7:phase komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9006-2013-05-21T000000.html"
              test="count(hl7:period)&lt;=1">(UsablePeriodandFrequency): element hl7:period komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9020
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:effectiveTime[@xsi:type='PIVL_TS']/hl7:phase
Item: (Frequency)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:effectiveTime[@xsi:type='PIVL_TS']/hl7:phase">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9020-2015-03-05T134139.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Frequency): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9020
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:effectiveTime[@xsi:type='PIVL_TS']/hl7:period
Item: (Frequency)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:effectiveTime[@xsi:type='PIVL_TS']/hl7:period">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9020-2015-03-05T134139.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Frequency): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PQ" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="digitok"
           value="matches(string(@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9020-2015-03-05T134139.html"
              test="$digitok or @nullFlavor">(Frequency): @value is geen geldig PQ getal <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9020-2015-03-05T134139.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Frequency): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9020-2015-03-05T134139.html"
              test="@value">(Frequency): attribute @value MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9020-2015-03-05T134139.html"
              test="@unit">(Frequency): attribute @unit MOET aanwezig zijn.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@unit),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.2.4.3.11.60.20.77.11.15-2015-03-05T000000.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9020-2015-03-05T134139.html"
              test="not(@unit) or count($theAttValue) = count($theAttCheck)">(Frequency): de waarde van unit MOET worden gekozen uit waardelijst 'Time_Atd_PQ_UCUM' Time a tot d PQ (UCUM) (2015-03-05T00:00:00).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9006
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:effectiveTime[not(exists(@xsi:type)) or @xsi:type='TS']
Item: (UsablePeriodandFrequency)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:effectiveTime[not(exists(@xsi:type)) or @xsi:type='TS']">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9006-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UsablePeriodandFrequency): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9006-2013-05-21T000000.html"
              test="@value">(UsablePeriodandFrequency): attribute @value MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.100
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:routeCode
Item: (MedicationAdministrationRequest)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:routeCode">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationAdministrationRequest): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="@code">(MedicationAdministrationRequest): attribute @code MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="string(@codeSystem)=('2.16.840.1.113883.2.4.4.9')">(MedicationAdministrationRequest): de waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.9' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="@displayName">(MedicationAdministrationRequest): attribute @displayName MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="not(starts-with(@code, '0'))">(MedicationAdministrationRequest): Géén voorloopnullen opnemen bij code voor toedieningsweg.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.100
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:doseQuantity[hl7:center]
Item: (MedicationAdministrationRequest)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:doseQuantity[hl7:center]">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationAdministrationRequest): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_PQ" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_PQ"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="not(hl7:low/@value) or matches(string(hl7:low/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(MedicationAdministrationRequest): value/low @value is not a valid PQ number<value-of select="hl7:low/@value"/>
      </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="not(hl7:high/@value) or matches(string(hl7:high/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(MedicationAdministrationRequest): value/high @value is not a valid PQ number<value-of select="hl7:high/@value"/>
      </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="not(hl7:center/@value) or matches(string(hl7:center/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(MedicationAdministrationRequest): value/center @value is not a valid PQ number<value-of select="hl7:center/@value"/>
      </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="count(hl7:center)&gt;=1 ">(MedicationAdministrationRequest): element hl7:center is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="count(hl7:center)&lt;=1">(MedicationAdministrationRequest): element hl7:center komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.100
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:doseQuantity[hl7:center]/hl7:center
Item: (MedicationAdministrationRequest)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:doseQuantity[hl7:center]/hl7:center">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="@value">(MedicationAdministrationRequest): attribute @value MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationAdministrationRequest): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PQ" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="digitok"
           value="matches(string(@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="$digitok or @nullFlavor">(MedicationAdministrationRequest): @value is geen geldig PQ getal <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(MedicationAdministrationRequest): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="count(hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2'])&gt;=1 and not(hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2']/@nullFlavor)">(MedicationAdministrationRequest): element hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="count(hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2'])&lt;=1">(MedicationAdministrationRequest): element hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="count(hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.361'])&lt;=1">(MedicationAdministrationRequest): element hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.361'] komt te vaak voor [max 1x].</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2' and @value=../@value]">(MedicationAdministrationRequest): translation/@value in G-Standaard basiseenheden tabel 2 is niet gelijk aan doseQuantity/@value, controleer of dit klopt.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9021
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:doseQuantity[hl7:center]/hl7:center/hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2']
Item: (DoseQValueAndTranslation)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:doseQuantity[hl7:center]/hl7:center/hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2']">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQR' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DoseQValueAndTranslation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PQR" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQR"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="@value">(DoseQValueAndTranslation): attribute @value MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="@code">(DoseQValueAndTranslation): attribute @code MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="string(@codeSystem)=('2.16.840.1.113883.2.4.4.1.900.2')">(DoseQValueAndTranslation): de waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.1.900.2' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="@displayName">(DoseQValueAndTranslation): attribute @displayName MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9021
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:doseQuantity[hl7:center]/hl7:center/hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.361']
Item: (DoseQValueAndTranslation)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:doseQuantity[hl7:center]/hl7:center/hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.361']">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQR' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DoseQValueAndTranslation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PQR" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQR"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="@value">(DoseQValueAndTranslation): attribute @value MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="@code">(DoseQValueAndTranslation): attribute @code MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="string(@codeSystem)=('2.16.840.1.113883.2.4.4.1.361')">(DoseQValueAndTranslation): de waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.1.361' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="@displayName">(DoseQValueAndTranslation): attribute @displayName MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.100
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:doseQuantity[hl7:low|hl7:high]
Item: (MedicationAdministrationRequest)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:doseQuantity[hl7:low|hl7:high]">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationAdministrationRequest): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_PQ" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_PQ"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="not(hl7:low/@value) or matches(string(hl7:low/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(MedicationAdministrationRequest): value/low @value is not a valid PQ number<value-of select="hl7:low/@value"/>
      </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="not(hl7:high/@value) or matches(string(hl7:high/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(MedicationAdministrationRequest): value/high @value is not a valid PQ number<value-of select="hl7:high/@value"/>
      </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="not(hl7:center/@value) or matches(string(hl7:center/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(MedicationAdministrationRequest): value/center @value is not a valid PQ number<value-of select="hl7:center/@value"/>
      </assert>
      <let name="elmcount" value="count(hl7:low|hl7:high)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="$elmcount&gt;=1">(MedicationAdministrationRequest): keuze (hl7:low of hl7:high) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="$elmcount&lt;=2">(MedicationAdministrationRequest): keuze (hl7:low of hl7:high) bevat te veel elementen [max 2x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="count(hl7:low)&lt;=1">(MedicationAdministrationRequest): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="count(hl7:high)&lt;=1">(MedicationAdministrationRequest): element hl7:high komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.100
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:doseQuantity[hl7:low|hl7:high]/hl7:low
Item: (MedicationAdministrationRequest)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:doseQuantity[hl7:low|hl7:high]/hl7:low">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="@value">(MedicationAdministrationRequest): attribute @value MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationAdministrationRequest): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PQ" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="digitok"
           value="matches(string(@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="$digitok or @nullFlavor">(MedicationAdministrationRequest): @value is geen geldig PQ getal <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(MedicationAdministrationRequest): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="count(hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2'])&gt;=1 and not(hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2']/@nullFlavor)">(MedicationAdministrationRequest): element hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="count(hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2'])&lt;=1">(MedicationAdministrationRequest): element hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="count(hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.361'])&lt;=1">(MedicationAdministrationRequest): element hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.361'] komt te vaak voor [max 1x].</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2' and @value=../@value]">(MedicationAdministrationRequest): translation/@value in G-Standaard basiseenheden tabel 2 is niet gelijk aan doseQuantity/@value, controleer of dit klopt.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9021
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:doseQuantity[hl7:low|hl7:high]/hl7:low/hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2']
Item: (DoseQValueAndTranslation)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:doseQuantity[hl7:low|hl7:high]/hl7:low/hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2']">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQR' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DoseQValueAndTranslation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PQR" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQR"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="@value">(DoseQValueAndTranslation): attribute @value MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="@code">(DoseQValueAndTranslation): attribute @code MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="string(@codeSystem)=('2.16.840.1.113883.2.4.4.1.900.2')">(DoseQValueAndTranslation): de waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.1.900.2' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="@displayName">(DoseQValueAndTranslation): attribute @displayName MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9021
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:doseQuantity[hl7:low|hl7:high]/hl7:low/hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.361']
Item: (DoseQValueAndTranslation)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:doseQuantity[hl7:low|hl7:high]/hl7:low/hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.361']">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQR' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DoseQValueAndTranslation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PQR" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQR"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="@value">(DoseQValueAndTranslation): attribute @value MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="@code">(DoseQValueAndTranslation): attribute @code MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="string(@codeSystem)=('2.16.840.1.113883.2.4.4.1.361')">(DoseQValueAndTranslation): de waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.1.361' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="@displayName">(DoseQValueAndTranslation): attribute @displayName MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.100
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:doseQuantity[hl7:low|hl7:high]/hl7:high
Item: (MedicationAdministrationRequest)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:doseQuantity[hl7:low|hl7:high]/hl7:high">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="@value">(MedicationAdministrationRequest): attribute @value MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationAdministrationRequest): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PQ" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="digitok"
           value="matches(string(@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="$digitok or @nullFlavor">(MedicationAdministrationRequest): @value is geen geldig PQ getal <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(MedicationAdministrationRequest): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="count(hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2'])&gt;=1 and not(hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2']/@nullFlavor)">(MedicationAdministrationRequest): element hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="count(hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2'])&lt;=1">(MedicationAdministrationRequest): element hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="count(hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.361'])&lt;=1">(MedicationAdministrationRequest): element hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.361'] komt te vaak voor [max 1x].</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2' and @value=../@value]">(MedicationAdministrationRequest): translation/@value in G-Standaard basiseenheden tabel 2 is niet gelijk aan doseQuantity/@value, controleer of dit klopt.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9021
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:doseQuantity[hl7:low|hl7:high]/hl7:high/hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2']
Item: (DoseQValueAndTranslation)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:doseQuantity[hl7:low|hl7:high]/hl7:high/hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2']">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQR' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DoseQValueAndTranslation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PQR" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQR"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="@value">(DoseQValueAndTranslation): attribute @value MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="@code">(DoseQValueAndTranslation): attribute @code MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="string(@codeSystem)=('2.16.840.1.113883.2.4.4.1.900.2')">(DoseQValueAndTranslation): de waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.1.900.2' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="@displayName">(DoseQValueAndTranslation): attribute @displayName MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9021
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:doseQuantity[hl7:low|hl7:high]/hl7:high/hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.361']
Item: (DoseQValueAndTranslation)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:doseQuantity[hl7:low|hl7:high]/hl7:high/hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.361']">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQR' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DoseQValueAndTranslation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PQR" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQR"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="@value">(DoseQValueAndTranslation): attribute @value MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="@code">(DoseQValueAndTranslation): attribute @code MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="string(@codeSystem)=('2.16.840.1.113883.2.4.4.1.361')">(DoseQValueAndTranslation): de waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.1.361' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="@displayName">(DoseQValueAndTranslation): attribute @displayName MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.100
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:doseQuantity[hl7:translation]
Item: (MedicationAdministrationRequest)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:doseQuantity[hl7:translation]">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="@value">(MedicationAdministrationRequest): attribute @value MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationAdministrationRequest): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_PQ" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_PQ"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="not(hl7:low/@value) or matches(string(hl7:low/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(MedicationAdministrationRequest): value/low @value is not a valid PQ number<value-of select="hl7:low/@value"/>
      </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="not(hl7:high/@value) or matches(string(hl7:high/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(MedicationAdministrationRequest): value/high @value is not a valid PQ number<value-of select="hl7:high/@value"/>
      </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="not(hl7:center/@value) or matches(string(hl7:center/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(MedicationAdministrationRequest): value/center @value is not a valid PQ number<value-of select="hl7:center/@value"/>
      </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="count(hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2'])&gt;=1 and not(hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2']/@nullFlavor)">(MedicationAdministrationRequest): element hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="count(hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2'])&lt;=1">(MedicationAdministrationRequest): element hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="count(hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.361'])&lt;=1">(MedicationAdministrationRequest): element hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.361'] komt te vaak voor [max 1x].</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2' and @value=../@value]">(MedicationAdministrationRequest): translation/@value in G-Standaard basiseenheden tabel 2 is niet gelijk aan doseQuantity/@value, controleer of dit klopt.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9021
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:doseQuantity[hl7:translation]/hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2']
Item: (DoseQValueAndTranslation)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:doseQuantity[hl7:translation]/hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2']">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQR' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DoseQValueAndTranslation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PQR" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQR"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="@value">(DoseQValueAndTranslation): attribute @value MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="@code">(DoseQValueAndTranslation): attribute @code MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="string(@codeSystem)=('2.16.840.1.113883.2.4.4.1.900.2')">(DoseQValueAndTranslation): de waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.1.900.2' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="@displayName">(DoseQValueAndTranslation): attribute @displayName MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9021
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:doseQuantity[hl7:translation]/hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.361']
Item: (DoseQValueAndTranslation)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:doseQuantity[hl7:translation]/hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.361']">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQR' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DoseQValueAndTranslation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PQR" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQR"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="@value">(DoseQValueAndTranslation): attribute @value MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="@code">(DoseQValueAndTranslation): attribute @code MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="string(@codeSystem)=('2.16.840.1.113883.2.4.4.1.361')">(DoseQValueAndTranslation): de waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.1.361' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="@displayName">(DoseQValueAndTranslation): attribute @displayName MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.100
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:doseCheckQuantity
Item: (MedicationAdministrationRequest)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:doseCheckQuantity">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='RTO_QTY_QTY' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationAdministrationRequest): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:RTO_QTY_QTY" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="RTO_QTY_QTY"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="count(hl7:numerator)&gt;=1 ">(MedicationAdministrationRequest): element hl7:numerator is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="count(hl7:numerator)&lt;=1">(MedicationAdministrationRequest): element hl7:numerator komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="count(hl7:denominator)&gt;=1 ">(MedicationAdministrationRequest): element hl7:denominator is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="count(hl7:denominator)&lt;=1">(MedicationAdministrationRequest): element hl7:denominator komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.100
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:doseCheckQuantity/hl7:numerator
Item: (MedicationAdministrationRequest)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:doseCheckQuantity/hl7:numerator">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="@value">(MedicationAdministrationRequest): attribute @value MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="@xsi:type">(MedicationAdministrationRequest): attribute @xsi:type MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="@xsi:type='PQ' or hl7:low or hl7:high">(MedicationAdministrationRequest): Bij variabele keerdosis moet minimaal één van de elementen 'low' en 'high' aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="count(hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2'])&gt;=1 and not(hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2']/@nullFlavor)">(MedicationAdministrationRequest): element hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="count(hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2'])&lt;=1">(MedicationAdministrationRequest): element hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="count(hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.361'])&lt;=1">(MedicationAdministrationRequest): element hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.361'] komt te vaak voor [max 1x].</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2' and @value=../@value]">(MedicationAdministrationRequest): translation/@value in G-Standaard basiseenheden tabel 2 is niet gelijk aan doseQuantity/@value, controleer of dit klopt.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="count(hl7:low)&lt;=1">(MedicationAdministrationRequest): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="count(hl7:high)&lt;=1">(MedicationAdministrationRequest): element hl7:high komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9021
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:doseCheckQuantity/hl7:numerator/hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2']
Item: (DoseQValueAndTranslation)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:doseCheckQuantity/hl7:numerator/hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2']">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQR' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DoseQValueAndTranslation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PQR" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQR"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="@value">(DoseQValueAndTranslation): attribute @value MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="@code">(DoseQValueAndTranslation): attribute @code MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="string(@codeSystem)=('2.16.840.1.113883.2.4.4.1.900.2')">(DoseQValueAndTranslation): de waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.1.900.2' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="@displayName">(DoseQValueAndTranslation): attribute @displayName MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9021
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:doseCheckQuantity/hl7:numerator/hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.361']
Item: (DoseQValueAndTranslation)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:doseCheckQuantity/hl7:numerator/hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.361']">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQR' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DoseQValueAndTranslation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PQR" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQR"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="@value">(DoseQValueAndTranslation): attribute @value MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="@code">(DoseQValueAndTranslation): attribute @code MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="string(@codeSystem)=('2.16.840.1.113883.2.4.4.1.361')">(DoseQValueAndTranslation): de waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.1.361' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="@displayName">(DoseQValueAndTranslation): attribute @displayName MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.100
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:doseCheckQuantity/hl7:numerator/hl7:low
Item: (MedicationAdministrationRequest)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:doseCheckQuantity/hl7:numerator/hl7:low">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="@value">(MedicationAdministrationRequest): attribute @value MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="count(hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2'])&gt;=1 and not(hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2']/@nullFlavor)">(MedicationAdministrationRequest): element hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="count(hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2'])&lt;=1">(MedicationAdministrationRequest): element hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="count(hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.361'])&lt;=1">(MedicationAdministrationRequest): element hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.361'] komt te vaak voor [max 1x].</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2' and @value=../@value]">(MedicationAdministrationRequest): translation/@value in G-Standaard basiseenheden tabel 2 is niet gelijk aan doseQuantity/@value, controleer of dit klopt.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9021
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:doseCheckQuantity/hl7:numerator/hl7:low/hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2']
Item: (DoseQValueAndTranslation)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:doseCheckQuantity/hl7:numerator/hl7:low/hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2']">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQR' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DoseQValueAndTranslation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PQR" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQR"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="@value">(DoseQValueAndTranslation): attribute @value MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="@code">(DoseQValueAndTranslation): attribute @code MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="string(@codeSystem)=('2.16.840.1.113883.2.4.4.1.900.2')">(DoseQValueAndTranslation): de waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.1.900.2' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="@displayName">(DoseQValueAndTranslation): attribute @displayName MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9021
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:doseCheckQuantity/hl7:numerator/hl7:low/hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.361']
Item: (DoseQValueAndTranslation)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:doseCheckQuantity/hl7:numerator/hl7:low/hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.361']">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQR' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DoseQValueAndTranslation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PQR" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQR"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="@value">(DoseQValueAndTranslation): attribute @value MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="@code">(DoseQValueAndTranslation): attribute @code MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="string(@codeSystem)=('2.16.840.1.113883.2.4.4.1.361')">(DoseQValueAndTranslation): de waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.1.361' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="@displayName">(DoseQValueAndTranslation): attribute @displayName MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.100
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:doseCheckQuantity/hl7:numerator/hl7:high
Item: (MedicationAdministrationRequest)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:doseCheckQuantity/hl7:numerator/hl7:high">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="@value">(MedicationAdministrationRequest): attribute @value MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="count(hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2'])&gt;=1 and not(hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2']/@nullFlavor)">(MedicationAdministrationRequest): element hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="count(hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2'])&lt;=1">(MedicationAdministrationRequest): element hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="count(hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.361'])&lt;=1">(MedicationAdministrationRequest): element hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.361'] komt te vaak voor [max 1x].</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2' and @value=../@value]">(MedicationAdministrationRequest): translation/@value in G-Standaard basiseenheden tabel 2 is niet gelijk aan doseQuantity/@value, controleer of dit klopt.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9021
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:doseCheckQuantity/hl7:numerator/hl7:high/hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2']
Item: (DoseQValueAndTranslation)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:doseCheckQuantity/hl7:numerator/hl7:high/hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.900.2']">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQR' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DoseQValueAndTranslation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PQR" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQR"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="@value">(DoseQValueAndTranslation): attribute @value MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="@code">(DoseQValueAndTranslation): attribute @code MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="string(@codeSystem)=('2.16.840.1.113883.2.4.4.1.900.2')">(DoseQValueAndTranslation): de waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.1.900.2' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="@displayName">(DoseQValueAndTranslation): attribute @displayName MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9021
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:doseCheckQuantity/hl7:numerator/hl7:high/hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.361']
Item: (DoseQValueAndTranslation)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:doseCheckQuantity/hl7:numerator/hl7:high/hl7:translation[@codeSystem='2.16.840.1.113883.2.4.4.1.361']">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQR' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DoseQValueAndTranslation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PQR" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQR"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="@value">(DoseQValueAndTranslation): attribute @value MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="@code">(DoseQValueAndTranslation): attribute @code MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="string(@codeSystem)=('2.16.840.1.113883.2.4.4.1.361')">(DoseQValueAndTranslation): de waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.1.361' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9021-2015-03-05T000000.html"
              test="@displayName">(DoseQValueAndTranslation): attribute @displayName MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.100
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:doseCheckQuantity/hl7:denominator
Item: (MedicationAdministrationRequest)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:doseCheckQuantity/hl7:denominator">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="@nullFlavor or ($xsiLocalName='PQ' and $xsiLocalNS='urn:hl7-org:v3')">(MedicationAdministrationRequest): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="@value">(MedicationAdministrationRequest): attribute @value MOET aanwezig zijn.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@unit),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.2.4.3.11.60.20.77.11.15-2015-03-05T000000.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="not(@unit) or count($theAttValue) = count($theAttCheck)">(MedicationAdministrationRequest): de waarde van unit MOET worden gekozen uit waardelijst 'Time_Atd_PQ_UCUM' Time a tot d PQ (UCUM) (2015-03-05T00:00:00).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.100
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:maxDoseQuantity
Item: (MedicationAdministrationRequest)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:maxDoseQuantity">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='RTO_QTY_QTY' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationAdministrationRequest): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:RTO_QTY_QTY" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="RTO_QTY_QTY"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.100
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:support2
Item: (MedicationAdministrationRequest)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:support2">
      <extends rule="tmp-r-81caa570-5da5-41da-b3c8-24b2eb941fb8"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="string(@typeCode)=('SPRT') or not(@typeCode)">(MedicationAdministrationRequest): de waarde van @typeCode MOET 'SPRT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.101
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:support2
Item: (MedicationAdministrationInstruction)
-->
<rule id="tmp-r-81caa570-5da5-41da-b3c8-24b2eb941fb8" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.101-2013-05-21T000000.html"
              test="count(hl7:medicationAdministrationInstruction[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.20.77.11.9-2015-03-10T161020.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.20.77.11.9-2015-03-10T161020.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]])&gt;=1 and not(hl7:medicationAdministrationInstruction[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.20.77.11.9-2015-03-10T161020.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.20.77.11.9-2015-03-10T161020.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]/@nullFlavor)">(MedicationAdministrationInstruction): element hl7:medicationAdministrationInstruction[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.20.77.11.9-2015-03-10T161020.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.20.77.11.9-2015-03-10T161020.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.101-2013-05-21T000000.html"
              test="count(hl7:medicationAdministrationInstruction[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.20.77.11.9-2015-03-10T161020.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.20.77.11.9-2015-03-10T161020.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]])&lt;=1">(MedicationAdministrationInstruction): element hl7:medicationAdministrationInstruction[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.20.77.11.9-2015-03-10T161020.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.20.77.11.9-2015-03-10T161020.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.101
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:support2/hl7:medicationAdministrationInstruction[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.20.77.11.9-2015-03-10T161020.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.20.77.11.9-2015-03-10T161020.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]
Item: (MedicationAdministrationInstruction)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:support2/hl7:medicationAdministrationInstruction[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.20.77.11.9-2015-03-10T161020.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.20.77.11.9-2015-03-10T161020.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.101-2013-05-21T000000.html"
              test="string(@classCode)=('INFRM') or not(@classCode)">(MedicationAdministrationInstruction): de waarde van @classCode MOET 'INFRM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.101-2013-05-21T000000.html"
              test="string(@typeCode)=('RQO') or not(@typeCode)">(MedicationAdministrationInstruction): de waarde van @typeCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.101-2013-05-21T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.20.77.11.9-2015-03-10T161020.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.20.77.11.9-2015-03-10T161020.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&gt;=1 ">(MedicationAdministrationInstruction): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.20.77.11.9-2015-03-10T161020.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.20.77.11.9-2015-03-10T161020.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.101-2013-05-21T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.20.77.11.9-2015-03-10T161020.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.20.77.11.9-2015-03-10T161020.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&lt;=1">(MedicationAdministrationInstruction): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.20.77.11.9-2015-03-10T161020.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.20.77.11.9-2015-03-10T161020.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9022
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:support2/hl7:medicationAdministrationInstruction[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.20.77.11.9-2015-03-10T161020.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.20.77.11.9-2015-03-10T161020.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.20.77.11.9-2015-03-10T161020.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.20.77.11.9-2015-03-10T161020.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]
Item: (NHGTabel25BcodesAanvInstr)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:support2/hl7:medicationAdministrationInstruction[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.20.77.11.9-2015-03-10T161020.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.20.77.11.9-2015-03-10T161020.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.20.77.11.9-2015-03-10T161020.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.20.77.11.9-2015-03-10T161020.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9022-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(NHGTabel25BcodesAanvInstr): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9022-2013-05-21T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.20.77.11.9-2015-03-10T161020.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(NHGTabel25BcodesAanvInstr): de elementwaarde MOET een zijn van 'AanvullendeGebruiksinstructie Aanvullende gebruiksinstructie (2015-03-10T16:10:20)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.20.77.11.9-2015-03-10T161020.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9022-2013-05-21T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(NHGTabel25BcodesAanvInstr): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst AanvullendeGebruiksinstructie Aanvullende gebruiksinstructie (2015-03-10T16:10:20).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9022-2013-05-21T000000.html"
              test="not(@nullFlavor) or string-length(hl7:originalText)&gt;0">(NHGTabel25BcodesAanvInstr): code aanwezig of originalText gevuld</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9022-2013-05-21T000000.html"
              test="@nullFlavor or not(hl7:originalText)">(NHGTabel25BcodesAanvInstr): code aanwezig of originalText gevuld</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9022-2013-05-21T000000.html"
              test="count(hl7:originalText)&lt;=1">(NHGTabel25BcodesAanvInstr): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9022
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:support2/hl7:medicationAdministrationInstruction[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.20.77.11.9-2015-03-10T161020.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.20.77.11.9-2015-03-10T161020.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.20.77.11.9-2015-03-10T161020.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.20.77.11.9-2015-03-10T161020.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]/hl7:originalText
Item: (NHGTabel25BcodesAanvInstr)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.100
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:precondition
Item: (MedicationAdministrationRequest)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:precondition">
      <extends rule="tmp-r-ae875127-a3b5-499c-b598-c4efc5c563a6"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.100-2013-05-21T000000.html"
              test="string(@typeCode)=('PRCN') or not(@typeCode)">(MedicationAdministrationRequest): de waarde van @typeCode MOET 'PRCN' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9001
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:precondition
Item: (ObservationEventCriterion)
-->
<rule id="tmp-r-ae875127-a3b5-499c-b598-c4efc5c563a6" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9001-2013-05-21T000000.html"
              test="count(hl7:observationEventCriterion)&gt;=1 and not(hl7:observationEventCriterion/@nullFlavor)">(ObservationEventCriterion): element hl7:observationEventCriterion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9001-2013-05-21T000000.html"
              test="count(hl7:observationEventCriterion)&lt;=1">(ObservationEventCriterion): element hl7:observationEventCriterion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9001
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:precondition/hl7:observationEventCriterion
Item: (ObservationEventCriterion)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:precondition/hl7:observationEventCriterion">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9001-2013-05-21T000000.html"
              test="string(@classCode)=('OBS') or not(@classCode)">(ObservationEventCriterion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9001-2013-05-21T000000.html"
              test="string(@moodCode)=('EVN.CRT') or not(@moodCode)">(ObservationEventCriterion): de waarde van @moodCode MOET 'EVN.CRT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9001-2013-05-21T000000.html"
              test="count(hl7:code)&lt;=1">(ObservationEventCriterion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9000
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:precondition/hl7:observationEventCriterion/hl7:code
Item: (NHGTabel25Bcodes)
-->
<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:precondition/hl7:observationEventCriterion/hl7:code">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9000-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(NHGTabel25Bcodes): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9000-2013-05-21T000000.html"
              test="string(@codeSystem)=('2.16.840.1.113883.2.4.4.5') or not(@codeSystem)">(NHGTabel25Bcodes): de waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.5' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9000-2013-05-21T000000.html"
              test="not(@nullFlavor='OTH') or string-length(hl7:originalText)&gt;0">(NHGTabel25Bcodes): Bij nullFlavor 'OTH' moet een beschrijving worden opgenomen in originalText.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9000-2013-05-21T000000.html"
              test="@nullFlavor or not(hl7:originalText)">(NHGTabel25Bcodes): Bij een gecodeerde waarde mag originalText niet gebruikt worden.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9000-2013-05-21T000000.html"
              test="count(hl7:originalText)&lt;=1">(NHGTabel25Bcodes): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9000
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf/hl7:medicationAdministrationRequest/hl7:precondition/hl7:observationEventCriterion/hl7:code/hl7:originalText
Item: (NHGTabel25Bcodes)
-->
<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.110
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:responsibleParty
Item: (MedicationDispenseEvent)
-->

<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:responsibleParty"
         id="tmp-r-2ae29a15-5e68-41f5-b4b1-f3da1996b362">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="string(@typeCode)=('RESP') or not(@typeCode)">(MedicationDispenseEvent): de waarde van @typeCode MOET 'RESP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:assignedCareProvider)&gt;=1 and not(hl7:assignedCareProvider/@nullFlavor)">(MedicationDispenseEvent): element hl7:assignedCareProvider is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:assignedCareProvider)&lt;=1">(MedicationDispenseEvent): element hl7:assignedCareProvider komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.110
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:responsibleParty/hl7:assignedCareProvider
Item: (MedicationDispenseEvent)
-->

<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:responsibleParty/hl7:assignedCareProvider"
         id="tmp-r-fbab0885-327a-449c-94de-b89680e36658">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="string(@classCode)=('ASSIGNED') or not(@classCode)">(MedicationDispenseEvent): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:id)&gt;=1 ">(MedicationDispenseEvent): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:id)&lt;=1">(MedicationDispenseEvent): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(MedicationDispenseEvent): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:code)&lt;=1">(MedicationDispenseEvent): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:representedOrganization)&gt;=1 and not(hl7:representedOrganization/@nullFlavor)">(MedicationDispenseEvent): element hl7:representedOrganization is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(MedicationDispenseEvent): element hl7:representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.110
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:responsibleParty/hl7:assignedCareProvider/hl7:id
Item: (MedicationDispenseEvent)
-->

<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:responsibleParty/hl7:assignedCareProvider/hl7:id"
         id="tmp-r-f7dc5e90-e8c3-424f-b8e5-2ef9a504e3e0">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationDispenseEvent): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="string(@root)=('2.16.528.1.1007.3.1') or not(@root)">(MedicationDispenseEvent): de waarde van @root MOET '2.16.528.1.1007.3.1' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.110
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:responsibleParty/hl7:assignedCareProvider/hl7:code
Item: (MedicationDispenseEvent)
-->

<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:responsibleParty/hl7:assignedCareProvider/hl7:code"
         id="tmp-r-ac9023a6-b4d7-4fb2-b1da-fbd21f53d2be">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationDispenseEvent): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="@code">(MedicationDispenseEvent): attribute @code MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="string(@codeSystem)=('2.16.840.1.113883.2.4.15.111')">(MedicationDispenseEvent): de waarde van @codeSystem MOET '2.16.840.1.113883.2.4.15.111' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.110
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:responsibleParty/hl7:assignedCareProvider/hl7:representedOrganization
Item: (MedicationDispenseEvent)
-->

<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:responsibleParty/hl7:assignedCareProvider/hl7:representedOrganization"
         id="tmp-r-3953540f-8021-463f-a8fe-d555e619cf02">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(MedicationDispenseEvent): de waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(MedicationDispenseEvent): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.3'])&gt;=1 and not(hl7:id[@root='2.16.528.1.1007.3.3']/@nullFlavor)">(MedicationDispenseEvent): element hl7:id[@root='2.16.528.1.1007.3.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.3'])&lt;=1">(MedicationDispenseEvent): element hl7:id[@root='2.16.528.1.1007.3.3'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:name)&lt;=1">(MedicationDispenseEvent): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:addr)&lt;=1">(MedicationDispenseEvent): element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.110
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:responsibleParty/hl7:assignedCareProvider/hl7:representedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']
Item: (MedicationDispenseEvent)
-->

<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:responsibleParty/hl7:assignedCareProvider/hl7:representedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']"
         id="tmp-r-2ab30ec1-4140-4283-8d0a-bf40a100ac1a">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationDispenseEvent): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="string(@root)=('2.16.528.1.1007.3.3')">(MedicationDispenseEvent): de waarde van @root MOET '2.16.528.1.1007.3.3' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="@extension">(MedicationDispenseEvent): attribute @extension MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.110
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:responsibleParty/hl7:assignedCareProvider/hl7:representedOrganization/hl7:name
Item: (MedicationDispenseEvent)
-->

<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:responsibleParty/hl7:assignedCareProvider/hl7:representedOrganization/hl7:name"
         id="tmp-r-dd02b4e1-5dc6-455e-88a1-e78b0f7b5778">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationDispenseEvent): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ON" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.110
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:responsibleParty/hl7:assignedCareProvider/hl7:representedOrganization/hl7:addr
Item: (MedicationDispenseEvent)
-->

<rule context="/hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:responsibleParty/hl7:assignedCareProvider/hl7:representedOrganization/hl7:addr"
         id="tmp-r-f1651462-6da2-4513-8b23-1e240f64527e">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationDispenseEvent): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="string(@use)=('WP')">(MedicationDispenseEvent): de waarde van @use MOET 'WP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:city)&gt;=1 ">(MedicationDispenseEvent): element hl7:city is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20150407T133812/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.110-2013-05-21T000000.html"
              test="count(hl7:city)&lt;=1">(MedicationDispenseEvent): element hl7:city komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.110
Context: /hl7:QURX_IN990113NL/hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:responsibleParty/hl7:assignedCareProvider/hl7:representedOrganization/hl7:addr/hl7:city
Item: (MedicationDispenseEvent)
-->
</pattern>
